INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Nubia',    '1',    '0',        '') ;

-- Agrev base code to run if Nubia DLC is enabled:


----------------------------------------------------------------------

--AgrevExp code to run:

UPDATE Units SET Maintenance = 2 where UnitType='UNIT_NUBIAN_PITATI'; 
UPDATE Units SET Cost = 60 where UnitType='UNIT_NUBIAN_PITATI'; 	--was 70

UPDATE Buildings SET PrereqTech= 'TECH_CONSTRUCTION' 				WHERE 		BuildingType= 'BUILDING_JEBEL_BARKAL';

--UNITS

--Units that require buildings. Macedonian barracks replacement:

-------------------------------------------------------------

			
-- REMOVED IN 2.8	--All embarked units cost double maintenance.
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						( 'UNIT_NUBIAN_PITATI' ,					'CLASS_EMBARKED_MAINTENANCE' );
-- REMOVED IN 2.8				
-- REMOVED IN 2.8	--Units in enemy territory cost double maintenance:
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_NUBIAN_PITATI' ,					'CLASS_ENEMY_TERRITORY_MAINTENANCE' );
-- REMOVED IN 2.8																

--Make sure unique unit has ZOC or not:
UPDATE Units SET ZoneOfControl=0, BaseSightRange=1  	WHERE 	UnitType= 'UNIT_NUBIAN_PITATI';


--Unique unit classes
insert into TypeTags ([Type],Tag) values ('UNIT_NUBIAN_PITATI','CLASS_BOWMAN');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_NUBIAN_PITATI',					'CLASS_NON_RECON_RANGED');


--AiLists
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('AmanitoreTechs','TECH_IRON_WORKING',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('AmanitoreTechs','TECH_CONSTRUCTION',1);


UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Nubia';

----------------------------------------------------------------------
--	OLD CODE
----------------------------------------------------------------------

----Give minus to movement if lacking coal (steam power):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_NUBIAN_PITATI' ,					'CLASS_EMBARKED_NO_COAL' );
--			
----Give minus to movement if lacking oil (combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_NUBIAN_PITATI' ,					'CLASS_EMBARKED_NO_OIL' );

--Marketplace of ideas trait. +1 sci and culture per tech/civic behind when sending trade route
-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_NUBIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );

--REMOVED IN 2.6		UPDATE Units set Combat=17, RangedCombat=25 where UnitType='UNIT_NUBIAN_PITATI'; --now they start with -5 ranged str, until bronze working, just like Archer

--Military Engineers can boost Jebel Barkal
--INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_JEBEL_BARKAL','UNIT_MILITARY_ENGINEER',2);

--Units that can ignore oceans with Square Rigging:
--REMOVED IN 2.8 (but was made useless in 2.7?) 	INSERT INTO TypeTags ([Type] , Tag) 	VALUES 		( 'UNIT_NUBIAN_PITATI' , 'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' );	


