INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Poland',    '1',    '0',        '') ;

-- Agrev base code to run if Poland DLC is enabled:

update Units set StrategicResource='RESOURCE_IRON' where UnitType='UNIT_POLISH_HUSSAR';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_POLISH_HUSSAR';
update Units_XP2 set ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2, ResourceCost=5 where UnitType='UNIT_POLISH_HUSSAR';			--Mercenaries civic, medieval era
UPDATE Units SET Cost = 220 	WHERE 	UnitType = 'UNIT_POLISH_HUSSAR';					--was 250

--UNITS

--Unique unit that require buildings
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_POLISH_HUSSAR' , 			'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_POLISH_HUSSAR' , 			'BUILDING_STABLE' );

			

-- REMOVED IN 2.8	--All embarked units cost double maintenance.
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						( 'UNIT_POLISH_HUSSAR' ,					'CLASS_EMBARKED_MAINTENANCE' );
-- REMOVED IN 2.8				
-- REMOVED IN 2.8				
-- REMOVED IN 2.8	--Units in enemy territory cost double maintenance:
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_POLISH_HUSSAR' ,					'CLASS_ENEMY_TERRITORY_MAINTENANCE' );
										

										
--Make sure Hussars have ZOC since it's a modern era units
UPDATE Units SET ZoneOfControl=1, BaseSightRange=1  	WHERE 	UnitType= 'UNIT_POLISH_HUSSAR'; 



-- Winged Hussar gets -2 movement without horses
INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_POLISH_HUSSAR',						'CLASS_NEEDS_HORSES_HEAVY');


--Class for heavy cavalry horse related abilities:
INSERT INTO TypeTags ([Type],Tag) 	VALUES 		('UNIT_POLISH_HUSSAR',				'CLASS_HEAVY_CAVALRY_ON_HORSES');

--AiLists
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('JadwigaTechs','TECH_IRON_WORKING',1);


-- BUILDINGS:

--Polish Sukiennice
UPDATE Building_YieldChanges SET YieldChange=2 WHERE BuildingType='BUILDING_SUKIENNICE' AND YieldType='YIELD_GOLD';
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_SUKIENNICE','YIELD_PRODUCTION',1);
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_SUKIENNICE','YIELD_FOOD',1);




UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Poland';

----------------------------------------------------------------------
--	OLD CODE
----------------------------------------------------------------------

----Give minus to movement if lacking coal (steam power):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_POLISH_HUSSAR' ,					'CLASS_EMBARKED_NO_COAL' );
--			
----Give minus to movement if lacking oil (combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_POLISH_HUSSAR' ,					'CLASS_EMBARKED_NO_OIL' );
--

--Marketplace of ideas trait. +1 sci and culture per tech/civic behind when sending trade route

-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_POLAND' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );

--Units that can ignore oceans with Square Rigging:
--REMOVED IN 2.8 (but was made useless in 2.7?) 	INSERT INTO TypeTags ([Type] , Tag) 	VALUES 		( 'UNIT_POLISH_HUSSAR' , 'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' );