INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Australia',    '1',    '0',        '') ;

--Infantry now also get ranged type - similar to persian immortal. Hope it can help AI to use infantry with machine guns etc.
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_DIGGER',	'UNITTYPE_RANGED');

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_DIGGER');

UPDATE Units_XP2 SET ResourceCost=10 WHERE UnitType='UNIT_DIGGER';  
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 		WHERE 		UnitType='UNIT_DIGGER';

UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_DIGGER';
UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_DIGGER'; --was 430

--Modern Era units that require buildings
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DIGGER' , 					'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DIGGER' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DIGGER' , 					'BUILDING_FACTORY' );

--Make sure Diggers have sight range 1
UPDATE Units SET BaseSightRange=1  	WHERE 	UnitType= 'UNIT_DIGGER'; 
		
--Let diggers be counted as infantry for MG's, also +5 vs anti-cavalry, such as pike and shot etc.
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_DIGGER',					'CLASS_INFANTRY');

--Outback stations get +1 gold per adj pasture and +1 gold per 2 adjacent outback stations

INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_OUTBACK_STATION','YIELD_GOLD',0);

INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_OUTBACK_STATION','Pasture_Gold');

INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_OUTBACK_STATION','Outback_Outback_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentImprovement, ObsoleteTech) 		VALUES  	('Outback_Outback_Gold', 'LOC_OUTBACK_STATIONS_ADJACENCY_GOLD', 'YIELD_GOLD', 1 , 2 , 'IMPROVEMENT_OUTBACK_STATION','TECH_ECONOMICS') ;

INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_OUTBACK_STATION','Outback_Outback_EconomicsGold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentImprovement, PrereqTech) 		VALUES  	('Outback_Outback_EconomicsGold', 'LOC_OUTBACK_STATIONS_ADJACENCY_GOLD_ECONOMICS', 'YIELD_GOLD', 1 , 1 , 'IMPROVEMENT_OUTBACK_STATION','TECH_ECONOMICS') ;
										
UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Australia';

------------------------
---- OLD CODE
------------------------
--Give diggers minus to movement if lacking coal (steam power):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_DIGGER' ,							'CLASS_EMBARKED_NO_COAL' );
--			
----Give diggers minus to movement if lacking oil (combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_DIGGER' ,							'CLASS_EMBARKED_NO_OIL' );


-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_AUSTRALIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );

--Units that can ignore oceans with Square Rigging:
--REMOVED IN 2.8 (but was made useless in 2.7?) 	INSERT INTO TypeTags ([Type] , Tag) 	VALUES 		( 'UNIT_DIGGER' , 'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' );