INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Macedonia_Persia',    '1',    '0',        '') ;


--Macedonia

UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_MACEDONIAN_HYPASPIST';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_MACEDONIAN_HETAIROI';

UPDATE Units SET Cost = 90 	WHERE 	UnitType = 'UNIT_MACEDONIAN_HYPASPIST'; --was 100
UPDATE Units SET Cost = 90 	WHERE 	UnitType = 'UNIT_MACEDONIAN_HETAIROI'; 	--was 100

--update Units set StrategicResource='RESOURCE_HORSES' where UnitType='UNIT_MACEDONIAN_HETAIROI';

update Units_XP2 set ResourceCost=5 where 	UnitType='UNIT_MACEDONIAN_HYPASPIST'; 	--iron		
update Units_XP2 set ResourceCost=10 where 	UnitType='UNIT_MACEDONIAN_HETAIROI';	--horses
											
update Units_XP2 set ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 where UnitType='UNIT_MACEDONIAN_HETAIROI';

----------------------------------------------------------------------
--Persia

--update Units set Combat=35 where UnitType='UNIT_MACEDONIAN_HETAIROI'; --was 40 in 2.5. Now they should get a +5 CS from Iron Working.
update Units set RangedCombat=25, Range=2 where UnitType='UNIT_PERSIAN_IMMORTAL'; --was 20 in 2.5. Now they'll get -5 CS until construction.
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_PERSIAN_IMMORTAL';
UPDATE Units SET Cost = 90 	WHERE 	UnitType = 'UNIT_PERSIAN_IMMORTAL';	--was 100
update Units_XP2 set ResourceCost=5 where 	UnitType='UNIT_PERSIAN_IMMORTAL';
--UNITS

--Units that require buildings. Macedonian barracks replacement:

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_MACEDONIAN_HETAIROI' , 		'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_MACEDONIAN_HYPASPIST' , 	'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_MACEDONIAN_HETAIROI' , 		'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_MACEDONIAN_HYPASPIST' , 	'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_SKIRMISHER' , 				'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_CROSSBOWMAN' , 				'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_PIKEMAN' , 					'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_COURSER' , 					'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_CATAPULT' , 				'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_SIEGE_TOWER' , 				'BUILDING_BASILIKOI_PAIDES' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_KNIGHT' , 					'BUILDING_BASILIKOI_PAIDES' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding , NumSupported) 	VALUES 		( 'UNIT_MILITARY_ENGINEER' ,		'BUILDING_BASILIKOI_PAIDES' , '-1' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_PERSIAN_IMMORTAL' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 				VALUES 		( 'UNIT_PERSIAN_IMMORTAL' , 		'BUILDING_STABLE' );


-------------------------------------------------------------

			

-- REMOVED IN 2.8	--All embarked units cost double maintenance.
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						( 'UNIT_PERSIAN_IMMORTAL' ,					'CLASS_EMBARKED_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_MACEDONIAN_HETAIROI' ,				'CLASS_EMBARKED_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_MACEDONIAN_HYPASPIST' ,				'CLASS_EMBARKED_MAINTENANCE' );
-- REMOVED IN 2.8											
-- REMOVED IN 2.8	--Units in enemy territory cost double maintenance:
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_PERSIAN_IMMORTAL' ,					'CLASS_ENEMY_TERRITORY_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_MACEDONIAN_HETAIROI' ,				'CLASS_ENEMY_TERRITORY_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_MACEDONIAN_HYPASPIST' ,				'CLASS_ENEMY_TERRITORY_MAINTENANCE' );
			




--Make sure unique unit has ZOC or not:
UPDATE Units SET ZoneOfControl=0, BaseSightRange=1  	WHERE 	UnitType= 'UNIT_PERSIAN_IMMORTAL'; 
UPDATE Units SET ZoneOfControl=1, BaseSightRange=1  	WHERE 	UnitType= 'UNIT_MACEDONIAN_HETAIROI'; 
UPDATE Units SET ZoneOfControl=0, BaseSightRange=1  	WHERE 	UnitType= 'UNIT_MACEDONIAN_HYPASPIST'; 


--Unique unit classes

INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			( 'UNIT_PERSIAN_IMMORTAL' , 		'CLASS_ARMORED_MELEE' );
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			( 'UNIT_MACEDONIAN_HYPASPIST' , 	'CLASS_ARMORED_MELEE' );

--Immortals get +5 ranged strength from Construction.
INSERT INTO 	Tags 	(Tag , Vocabulary) 			VALUES 			( 'CLASS_PERSIAN_IMMORTAL' , 		'ABILITY_CLASS' );
INSERT INTO 	Types 	([Type] , Kind) 			VALUES 			( 'CLASS_PERSIAN_IMMORTAL' , 		'KIND_ABILITY' );
	
INSERT INTO TypeTags ([Type] , Tag) 				VALUES 			( 'ABILITY_BOWMAN3' , 				'CLASS_PERSIAN_IMMORTAL' );
INSERT INTO TypeTags ([Type] , Tag) 				VALUES			( 'UNIT_PERSIAN_IMMORTAL' , 		'CLASS_PERSIAN_IMMORTAL' );

--Immortals cannot gain ranged strength from cannons and later ranged support units:
INSERT INTO	RequirementSetRequirements	(RequirementSetId,RequirementId)					VALUES		('REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT',	'REQ_UNIT_IS_NOT_CLASS_PERSIAN_IMMORTAL');

INSERT INTO Requirements				(RequirementId,RequirementType,Inverse)			VALUES		('REQ_UNIT_IS_NOT_CLASS_PERSIAN_IMMORTAL',				'REQUIREMENT_UNIT_TAG_MATCHES' , 1);
INSERT INTO RequirementArguments		(RequirementId,Name,[Value])					VALUES		('REQ_UNIT_IS_NOT_CLASS_PERSIAN_IMMORTAL',				'Tag',	'CLASS_PERSIAN_IMMORTAL'	);

--Military Engineers can boost Basilikoi and Mausoleum:
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_BASILIKOI_PAIDES','UNIT_MILITARY_ENGINEER',20);


--Get 5 CS from Iron Working.
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('UNIT_MACEDONIAN_HETAIROI' , 	'CLASS_HORSEMAN' );



--Minus 2 movement without horses:
INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_MACEDONIAN_HETAIROI',						'CLASS_NEEDS_HORSES_HEAVY');

--Class for heavy cavalry horse related abilities:
INSERT INTO TypeTags ([Type],Tag) 	VALUES 		('UNIT_MACEDONIAN_HETAIROI',		'CLASS_HEAVY_CAVALRY_ON_HORSES');

--AiLists
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('CyrusTechs','TECH_CONSTRUCTION',1);
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_BASILIKOI_PAIDES' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');


UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Macedonia_Persia';


----------------------------------------------------------------------
--	OLD CODE
----------------------------------------------------------------------

--UPDATE Units SET	PrereqDistrict = 'DISTRICT_ENCAMPMENT' 			WHERE		UnitType = 'UNIT_MACEDONIAN_HYPASPIST';
--UPDATE Units SET	PrereqDistrict = 'DISTRICT_ENCAMPMENT' 			WHERE		UnitType = 'UNIT_PERSIAN_IMMORTAL';

----Give minus to movement if lacking coal (steam power):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_PERSIAN_IMMORTAL' ,					'CLASS_EMBARKED_NO_COAL' ),
--										( 'UNIT_MACEDONIAN_HETAIROI' ,				'CLASS_EMBARKED_NO_COAL' ),
--										( 'UNIT_MACEDONIAN_HYPASPIST' ,				'CLASS_EMBARKED_NO_COAL' );
--			
----Give minus to movement if lacking oil (combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_PERSIAN_IMMORTAL' ,					'CLASS_EMBARKED_NO_OIL' ),
--										( 'UNIT_MACEDONIAN_HETAIROI' ,				'CLASS_EMBARKED_NO_OIL' ),
--										( 'UNIT_MACEDONIAN_HYPASPIST' ,				'CLASS_EMBARKED_NO_OIL' );

--Marketplace of ideas trait. +1 sci and culture per tech/civic behind when sending trade route
-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_PERSIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_MACEDON' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );

--INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_HALICARNASSUS_MAUSOLEUM','UNIT_MILITARY_ENGINEER',2);

--Units that can ignore oceans with Square Rigging:
--REMOVED IN 2.8 (but was made useless in 2.7?) 	INSERT INTO TypeTags					(Type,										Tag)			
--REMOVED IN 2.8 (but was made useless in 2.7?) 				VALUES						
--REMOVED IN 2.8 (but was made useless in 2.7?) 											( 'UNIT_PERSIAN_IMMORTAL' ,					'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' ),
--REMOVED IN 2.8 (but was made useless in 2.7?) 											( 'UNIT_MACEDONIAN_HETAIROI' ,				'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' ),
--REMOVED IN 2.8 (but was made useless in 2.7?) 											( 'UNIT_MACEDONIAN_HYPASPIST' ,				'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' );