--------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Base Code for Units - excluding classes, abilities and modifiers and similar changes.
--------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_Base',    '1',    '0',        '') ;

-------------------------------------------------------------------
--
-------------------------------------------------------------------


-------------------------------------------------------------------
-- EXPERIENCE FOR UNITS:
-------------------------------------------------------------------

--Get 2 xp for barbs killed after lvl 1
UPDATE GlobalParameters SET Value = 2 WHERE Name = 'EXPERIENCE_BARB_SOFT_CAP'; --was 1

--XP multiplier needed for each level reduced to 3, from 5.
UPDATE GlobalParameters SET Value = 3 WHERE Name = 'EXPERIENCE_NEEDED_FOR_NEXT_LEVEL_MULTIPLIER'; --was 5

--XP for combat increased:
UPDATE GlobalParameters SET Value = 2 WHERE Name = 'EXPERIENCE_COMBAT_RANGED'; --was 1
UPDATE GlobalParameters SET Value = 3 WHERE Name = 'EXPERIENCE_NOT_COMBAT_RANGED'; --was 2

--More XP from capturing districts:
UPDATE GlobalParameters SET Value = 4 WHERE Name = 'EXPERIENCE_UNIT_VS_DISTRICT_NOT_CITY_CAPTURED'; --was 3

--XP from goody huts reduced to 2:
--UPDATE GlobalParameters SET Value = 2 WHERE Name = 'EXPERIENCE_ACTIVATE_GOODY_HUT';

--XP GAIN BASE GAME:
----------------------------------------------------------------------------------------------------
--		<Replace Name="EXPERIENCE_ACTIVATE_GOODY_HUT" Value="5" />
--		
--		<Replace Name="EXPERIENCE_BARB_SOFT_CAP" Value="1" />
--		
--		<Replace Name="EXPERIENCE_CITY_CAPTURED" Value="10" />
--		
--		<Replace Name="EXPERIENCE_COMBAT_ATTACKER_BONUS" Value="1" />
--		
--		<Replace Name="EXPERIENCE_COMBAT_RANGED" Value="1" />
--		
--		<Replace Name="EXPERIENCE_DISTRICT_VS_UNIT" Value="2" />
--		
--		<Replace Name="EXPERIENCE_KILL_BONUS" Value="2" />
--		
--		<Replace Name="EXPERIENCE_MAX_BARB_LEVEL" Value="2" />
--		
--		<Replace Name="EXPERIENCE_MAX_LEVEL" Value="6" />
--		
--		<Replace Name="EXPERIENCE_MAXIMUM_ONE_COMBAT" Value="10" />
--		
--		<Replace Name="EXPERIENCE_NEEDED_FOR_NEXT_LEVEL_MULTIPLIER" Value="5" />
--		
--		<Replace Name="EXPERIENCE_NOT_COMBAT_RANGED" Value="2" />
--		
--		<Replace Name="EXPERIENCE_PROMOTE_HEALED" Value="50" />
--		
--		<Replace Name="EXPERIENCE_RETRAIN_HEALED" Value="100" />
--		
--		<Replace Name="EXPERIENCE_REVEAL_NATURAL_WONDER" Value="10" />
--		
--		<Replace Name="EXPERIENCE_UNIT_VS_DISTRICT_NOT_CITY_CAPTURED" Value="3" />
----------------------------------------------------------------------------------------------------		


--Naturalists and Rock Bands are now recommended by Culture advisor:
UPDATE Units SET AdvisorType = 'ADVISOR_CULTURE' WHERE UnitType ='UNIT_NATURALIST' OR UnitType = 'UNIT_ROCK_BAND';

--Military Engineers are now recommended by generic advisor, don't know if this affects AI.
UPDATE Units SET AdvisorType = 'ADVISOR_GENERIC' WHERE UnitType ='UNIT_MILITARY_ENGINEER';

--Warrior monks are now recommended by military advisor:
UPDATE Units SET AdvisorType = 'ADVISOR_CONQUEST' WHERE UnitType ='UNIT_WARRIOR_MONK';



-------------------------------------------------------------------
-- RESOURCE REQUIRED TO RECRUIT UNIT
-------------------------------------------------------------------

UPDATE Units SET StrategicResource='RESOURCE_HORSES' 	WHERE 	UnitType='UNIT_SUMERIAN_WAR_CART' OR 
																UnitType='UNIT_RUSSIAN_COSSACK' OR 
																UnitType='UNIT_HEAVY_CHARIOT' OR 
																UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER' OR 
																UnitType='UNIT_MAPUCHE_MALON_RAIDER' OR 
																UnitType='UNIT_AMERICAN_ROUGH_RIDER' OR 
																UnitType='UNIT_CAVALRY' OR 
																UnitType='UNIT_CANADA_MOUNTIE';

UPDATE Units SET StrategicResource='RESOURCE_IRON' 		WHERE 	UnitType='UNIT_ROMAN_LEGION' OR 
																UnitType='UNIT_CATAPULT' OR 
																
																UnitType='UNIT_JAPANESE_SAMURAI' OR 
																UnitType='UNIT_NORWEGIAN_BERSERKER' OR 
																UnitType='UNIT_GEORGIAN_KHEVSURETI' OR 
															--	UnitType='UNIT_SKIRMISHER' OR 
																UnitType='UNIT_PIKEMAN' OR 
																UnitType='UNIT_CROSSBOWMAN' OR 
																UnitType='UNIT_CHINESE_CROUCHING_TIGER' OR 
																UnitType='UNIT_OTTOMAN_BARBARY_CORSAIR' OR
																UnitType='UNIT_MONGOLIAN_KESHIG' OR
																UnitType='UNIT_HUNGARY_BLACK_ARMY' OR
																UnitType='UNIT_COURSER' OR 																
																
																UnitType='UNIT_MUSKETMAN' OR
																UnitType='UNIT_SPANISH_CONQUISTADOR' OR 
																UnitType='UNIT_SULEIMAN_JANISSARY' OR 
																
																UnitType='UNIT_CARAVEL' OR		
																
																UnitType='UNIT_FRIGATE' OR 
																UnitType='UNIT_DE_ZEVEN_PROVINCIEN' OR 
																
																UnitType='UNIT_PRIVATEER' OR 
																
																UnitType='UNIT_BOMBARD' OR 			
																
																UnitType='UNIT_PIKE_AND_SHOT' OR 
																UnitType='UNIT_SWEDEN_CAROLEAN' OR 
																
																UnitType='UNIT_KOREAN_HWACHA' OR

																UnitType='UNIT_FIELD_CANNON' OR 
																UnitType='UNIT_ENGLISH_REDCOAT' OR 
																UnitType='UNIT_FRENCH_GARDE_IMPERIALE' OR 
																UnitType='UNIT_RANGER' OR 
																UnitType='UNIT_IRONCLAD' OR 
																UnitType='UNIT_SCOTTISH_HIGHLANDER' OR 
																UnitType='UNIT_CUIRASSIER' OR 
																
																UnitType='UNIT_BATTLESHIP' OR 
																UnitType='UNIT_BRAZILIAN_MINAS_GERAES' OR 
																UnitType='UNIT_SUBMARINE' OR 
																UnitType='UNIT_GERMAN_UBOAT' OR 
																UnitType='UNIT_INFANTRY' OR 
																UnitType='UNIT_ARTILLERY' OR 
																UnitType='UNIT_SUPPLY_CONVOY' OR 
																
																UnitType='UNIT_TANK' OR 
																UnitType='UNIT_AIRCRAFT_CARRIER' OR 
																UnitType='UNIT_DESTROYER' OR 
																UnitType='UNIT_ANTIAIR_GUN' OR 
																UnitType='UNIT_AT_CREW' OR 
																UnitType='UNIT_MACHINE_GUN' OR 
																UnitType='UNIT_SPEC_OPS' OR
																
																UnitType='UNIT_NUCLEAR_SUBMARINE' OR 
																UnitType='UNIT_MECHANIZED_INFANTRY' OR 
																UnitType='UNIT_MISSILE_CRUISER' OR 
																UnitType='UNIT_MODERN_ARMOR' OR 
																UnitType='UNIT_MODERN_AT' OR 
																UnitType='UNIT_ROCKET_ARTILLERY' OR 
																UnitType='UNIT_MOBILE_SAM' OR 
																
																UnitType='UNIT_GIANT_DEATH_ROBOT';
																
															
UPDATE Units SET StrategicResource='RESOURCE_IRON'	WHERE 		UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');	


--UPDATE Units SET StrategicResource='RESOURCE_OIL' WHERE UnitType='UNIT_SPEC_OPS';

UPDATE Units SET StrategicResource='RESOURCE_ALUMINUM' WHERE 	UnitType='UNIT_FIGHTER' OR 
																UnitType='UNIT_AMERICAN_P51' OR 
																UnitType='UNIT_BOMBER' OR 
																UnitType='UNIT_JET_BOMBER' OR 
																UnitType='UNIT_JET_FIGHTER' OR 
																UnitType='UNIT_HELICOPTER' OR 
																UnitType='UNIT_DRONE';

-------------------------------------------------------------------
-- ADD INTO XP2 TABLE TO ALLOW RESOURCE PAYMENT AND MAINTENANCE
-------------------------------------------------------------------

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_HEAVY_CHARIOT');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SUMERIAN_WAR_CART');										
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_EGYPTIAN_CHARIOT_ARCHER');										
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SCYTHIAN_HORSE_ARCHER');										
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_INDIAN_VARU');		

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SKIRMISHER');										
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_CROSSBOWMAN');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_PIKEMAN');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_ZULU_IMPI');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_CHINESE_CROUCHING_TIGER');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_OTTOMAN_BARBARY_CORSAIR');		

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_MAPUCHE_MALON_RAIDER');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SWEDEN_CAROLEAN');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_KOREAN_HWACHA');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_PIKE_AND_SHOT');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_CARAVEL');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_PRIVATEER');
INSERT INTO Units_XP2 (UnitType) SELECT  'UNIT_ENGLISH_SEADOG' WHERE EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_FIELD_CANNON');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SCOTTISH_HIGHLANDER');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_RANGER');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_AMERICAN_ROUGH_RIDER'); 

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_CANADA_MOUNTIE');

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_MACHINE_GUN');										
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_AT_CREW');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_SPEC_OPS');
INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_AIRCRAFT_CARRIER');

INSERT INTO Units_XP2 (UnitType) VALUES ('UNIT_MODERN_AT');
INSERT OR REPLACE INTO Units_XP2 (UnitType) VALUES 	( 'UNIT_NUCLEAR_SUBMARINE');									




-------------------------------------------------------------------
-- STRATEGIC RESOURCE COSTS:
-------------------------------------------------------------------
--Without Resource req:
--Slinger
--Scout
--Warrior
--Archer
--Spearman
--Galley
--Quadrireme

--In vanilla only:
-- Skirmisher
-- Crossbowman

-- Uniques without resource req:
-- Nubian Pitati
-- Greek Hoplite
-- Bireme
-- Viking Longship
-- Indian varu
-- Maori Toa
-- Impi
-- Georgian Khevsureti
-- Inca Warakaq
-- Malon Raider

-- 

--HORSES--

--Wheel				1
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_HEAVY_CHARIOT'; 					--1pt
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_SUMERIAN_WAR_CART';				--1pt
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER'; 		--1pt
--Horseback riding	2
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_HORSEMAN'; 						--1pt
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_SCYTHIAN_HORSE_ARCHER'; 			--1pt
--Stirrups			3-4
--Feudalism			3-4
-- 																					Courser			--2pt
--																					Knight			--2pt
--																					Cuirassier		--2pt


UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_MAPUCHE_MALON_RAIDER'; 			--2pt
UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_CAVALRY'; 						--2pt
UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_HUNGARY_HUSZAR'; 				--2pt
UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_RUSSIAN_COSSACK'; 				--2pt
UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_CANADA_MOUNTIE'; 				--2pt
UPDATE Units_XP2 SET ResourceCost=20		WHERE 	UnitType='UNIT_AMERICAN_ROUGH_RIDER'; 			--2pt

--IRON--
--Iron Working 	 		1
--		//CLASSICAL
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_SWORDSMAN';
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_ROMAN_LEGION';
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_KONGO_SHIELD_BEARER';

--Engineering 	 		2
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_CATAPULT'; 	

--		//MEDIEVAL
UPDATE Units_XP2 SET ResourceCost=0 		WHERE 	UnitType='UNIT_SKIRMISHER';	

UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_PIKEMAN'; 
UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_ZULU_IMPI'; 

UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_JAPANESE_SAMURAI'; 

UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_NORWEGIAN_BERSERKER'; 

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_GEORGIAN_KHEVSURETI'; 
 
UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_CROSSBOWMAN'; 

UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_COURSER'; 	
UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_HUNGARY_BLACK_ARMY'; 	

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_KNIGHT'; 
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_ARABIAN_MAMLUK'; 
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_MALI_MANDEKALU_CAVALRY'; 

UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_CHINESE_CROUCHING_TIGER'; 

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_MONGOLIAN_KESHIG';  

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_OTTOMAN_BARBARY_CORSAIR'; 
			
--		//RENAISSANCE	
UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_CARAVEL'; 
	
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_MUSKETMAN'; 
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_SULEIMAN_JANISSARY'; 
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_SPANISH_CONQUISTADOR'; 

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_PIKE_AND_SHOT'; 
UPDATE Units_XP2 SET ResourceCost=5			WHERE 	UnitType='UNIT_SWEDEN_CAROLEAN'; 

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_KOREAN_HWACHA';

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_BOMBARD'; 

UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_PRIVATEER';
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');

UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_FRIGATE';
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_DE_ZEVEN_PROVINCIEN'; 

--		//INDUSTRIAL
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_CUIRASSIER'; 
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_FIELD_CANNON'; 
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_RANGER'; 	
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_SCOTTISH_HIGHLANDER'; 


--Industrialization 	3
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_FRENCH_GARDE_IMPERIALE'; 
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_ENGLISH_REDCOAT'; 
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_IRONCLAD';
	
--Steel					4
--		//MODERN
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_INFANTRY'; 
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_ARTILLERY';
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_GERMAN_UBOAT';
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_SUBMARINE';
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_SUPPLY_CONVOY';
UPDATE Units_XP2 SET ResourceCost=30 		WHERE 	UnitType='UNIT_BATTLESHIP';
UPDATE Units_XP2 SET ResourceCost=30 		WHERE 	UnitType='UNIT_BRAZILIAN_MINAS_GERAES';
--		//ATOMIC
UPDATE Units_XP2 SET ResourceCost=10		WHERE 	UnitType='UNIT_SPEC_OPS';
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_AT_CREW'; 
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_MACHINE_GUN'; 
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_ANTIAIR_GUN';
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_TANK';
UPDATE Units_XP2 SET ResourceCost=30 		WHERE 	UnitType='UNIT_DESTROYER';
UPDATE Units_XP2 SET ResourceCost=40 		WHERE 	UnitType='UNIT_AIRCRAFT_CARRIER';
--		//INFORMATION
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_MOBILE_SAM';
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_MODERN_AT';
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_MECHANIZED_INFANTRY';
UPDATE Units_XP2 SET ResourceCost=30 		WHERE 	UnitType='UNIT_ROCKET_ARTILLERY';
UPDATE Units_XP2 SET ResourceCost=30 		WHERE 	UnitType='UNIT_MODERN_ARMOR';
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType='UNIT_NUCLEAR_SUBMARINE';
UPDATE Units_XP2 SET ResourceCost=40 		WHERE 	UnitType='UNIT_MISSILE_CRUISER';
--		//FUTURE
UPDATE Units_XP2 SET ResourceCost=100 		WHERE 	UnitType='UNIT_GIANT_DEATH_ROBOT';

--ALUMINUM:
--Refining			1
--Flight			2
--Advanced Flight	3
--		//ATOMIC
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_FIGHTER'; 			--was 35 in 2.7.3
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_AMERICAN_P51';
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_BOMBER';
UPDATE Units_XP2 SET ResourceCost=10 		WHERE 	UnitType='UNIT_HELICOPTER';			--was 45 in 2.7.3													
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType = 'UNIT_JET_BOMBER';
--		//INFORMATION
UPDATE Units_XP2 SET ResourceCost=5 		WHERE 	UnitType='UNIT_DRONE';	
UPDATE Units_XP2 SET ResourceCost=20 		WHERE 	UnitType = 'UNIT_JET_FIGHTER'; 	--was 50 in 2.7.3

-------------------------------------------------------------------
-- RESOURCE MAINTENANCE AMOUNT
-------------------------------------------------------------------

--	HORSES

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_HEAVY_CHARIOT'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_SUMERIAN_WAR_CART'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_HORSEMAN'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_SCYTHIAN_HORSE_ARCHER';


UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_COURSER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_HUNGARY_BLACK_ARMY'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_KNIGHT'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_ARABIAN_MAMLUK'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_MALI_MANDEKALU_CAVALRY'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_MAPUCHE_MALON_RAIDER'; 		--no req in vanilla
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_HUNGARY_HUSZAR'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_CUIRASSIER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_CAVALRY'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_MONGOLIAN_KESHIG'; 


UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_CANADA_MOUNTIE'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_AMERICAN_ROUGH_RIDER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_RUSSIAN_COSSACK';
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_HORSES', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_POLISH_HUSSAR';


-- NITER
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_OTTOMAN_BARBARY_CORSAIR'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_MUSKETMAN'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_SPANISH_CONQUISTADOR'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_SULEIMAN_JANISSARY';

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_PIKE_AND_SHOT'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_SWEDEN_CAROLEAN'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_BOMBARD'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_FRIGATE'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_DE_ZEVEN_PROVINCIEN'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_PRIVATEER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');	

																								--	UnitType='UNIT_CHINESE_CROUCHING_TIGER' OR 
																								--	UnitType='UNIT_KOREAN_HWACHA' OR 
																								--	UnitType='UNIT_FIELD_CANNON' OR 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_ENGLISH_REDCOAT'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_FRENCH_GARDE_IMPERIALE'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_RANGER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_SCOTTISH_HIGHLANDER'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_INFANTRY'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_ARTILLERY'; 					--costed oil in vanilla

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_AT_CREW'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_MACHINE_GUN'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_ANTIAIR_GUN';
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 WHERE	UnitType='UNIT_SPEC_OPS'; 

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=3 WHERE 	UnitType='UNIT_MOBILE_SAM'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=3 WHERE 	UnitType='UNIT_MODERN_AT';


-- OIL

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_JET_FIGHTER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_JET_BOMBER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_BOMBER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_FIGHTER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_HELICOPTER'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_AMERICAN_P51'; 
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 		UnitType='UNIT_SUPPLY_CONVOY';

-- REMOVED IN 2.6		UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=2 WHERE 		UnitType='UNIT_AIRCRAFT_CARRIER';


-- COAL
																--IRONCLAD							--1pt
UPDATE Units_XP2 SET ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_BATTLESHIP';					--battleships now consume 2 coal per turn (was 1).
UPDATE Units_XP2 SET ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_BRAZILIAN_MINAS_GERAES';	

-- URANIUM

UPDATE Units_XP2 SET ResourceMaintenanceType = 'RESOURCE_URANIUM', ResourceMaintenanceAmount=1 	WHERE 	UnitType='UNIT_NUCLEAR_SUBMARINE';	

-------------------------------------------------------------------
-- COMBAT BASICS
-------------------------------------------------------------------



--Being wounded no longer increases the damage you take by 10?

UPDATE GlobalParameters SET Value = 5 WHERE Name = 'COMBAT_WOUNDED_DAMAGE_MULTIPLIER'; --was 10


-------------------------------------------------------------------
-- START LEVEL
-------------------------------------------------------------------

--Skirmishers start with 1 promotion:
UPDATE Units SET InitialLevel = 2 WHERE UnitType = 'UNIT_SKIRMISHER';
UPDATE Units SET InitialLevel = 2 WHERE UnitType = 'UNIT_INCA_WARAKAQ';

--Rangers start with 2 promotions: (Doesn't work)
UPDATE Units SET InitialLevel = 2 WHERE UnitType = 'UNIT_RANGER';
UPDATE Units SET InitialLevel = 2 WHERE UnitType = 'UNIT_SCOTTISH_HIGHLANDER';

--Spec Ops test start with 3 promotions: (Doesn't work, starts with one promotion at level 2 just like the ones above)
UPDATE Units SET InitialLevel = 2 WHERE UnitType = 'UNIT_SPEC_OPS';


-------------------------------------------------------------------
-- PILLAGING AND RAIDING 
-------------------------------------------------------------------
--Pillaging now costs 60 movement points (to stop ships or other units with alot of movement points to pillage all improvements in one turn).
UPDATE GlobalParameters SET Value = 60 WHERE Name = 'PILLAGE_MOVEMENT_COST'; --Default is 3
--UPDATE GlobalParameters SET Value = 1 WHERE Name = 'PILLAGE_ADVANCED_MOVEMENT_COST'; --Default is 1

--Coastal Raid adv movement cost is now 1 -- affects Barbary Corsair Ottoman UU.
--UPDATE GlobalParameters SET Value = 1 WHERE Name = 'COASTAL_RAID_ADVANCED_MOVEMENT_COST';

-------------------------------------------------------------------
-- CAPTURE / CAPTUREABLE
-------------------------------------------------------------------

--ranged support can't capture anymore?


--Supply Convoys and other support units can be captured?
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_BATTERING_RAM','UNIT_BATTERING_RAM');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_SIEGE_TOWER','UNIT_SIEGE_TOWER');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_MEDIC','UNIT_MEDIC');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_SUPPLY_CONVOY','UNIT_SUPPLY_CONVOY');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_OBSERVATION_BALLOON','UNIT_OBSERVATION_BALLOON');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_DRONE','UNIT_DRONE');
INSERT INTO UnitCaptures (CapturedUnitType,BecomesUnitType) VALUES ('UNIT_MILITARY_ENGINEER','UNIT_BUILDER');

--New Support Units
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_CHINESE_CROUCHING_TIGER',	'UNIT_CHINESE_CROUCHING_TIGER');	
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_KOREAN_HWACHA',	'UNIT_KOREAN_HWACHA');	
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_FIELD_CANNON',	'UNIT_FIELD_CANNON');																								
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_MACHINE_GUN',		'UNIT_MACHINE_GUN');
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_AT_CREW',			'UNIT_AT_CREW');
INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_MODERN_AT',		'UNIT_MODERN_AT');

--Drones can retreat?
--REMOVED IN 2.8		UPDATE Units SET CanRetreatWhenCaptured =1 WHERE UnitType = 'UNIT_DRONE';

-------------------------------------------------------------------
-- Military engineers start with 8 charges (was 4 in 2.4). 
-------------------------------------------------------------------
UPDATE Units SET BuildCharges = 8 WHERE UnitType='UNIT_MILITARY_ENGINEER';

--English Engineers:
UPDATE ModifierArguments SET Value = 4 WHERE ModifierId = 'TRAIT_ADJUST_MILITARY_ENGINEER_BUILDCHARGES'; -- English Military Engineers start with 4 extra charges



------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
-- UNIT UPGRADES
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------

UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_MEDIC' WHERE Unit = 'UNIT_BATTERING_RAM';

UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_SKIRMISHER' WHERE Unit = 'UNIT_SLINGER';

UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_FIELD_CANNON' 	 WHERE Unit = 'UNIT_CROSSBOWMAN';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_CAVALRY' 	 WHERE Unit = 'UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_CAVALRY' 	 WHERE Unit = 'UNIT_MONGOLIAN_KESHIG';
														 
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_INFANTRY' 	 WHERE Unit = 'UNIT_PIKE_AND_SHOT';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_INFANTRY' 	 WHERE Unit = 'UNIT_SWEDEN_CAROLEAN';
														 
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_INFANTRY' 	 WHERE Unit = 'UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_INFANTRY' 	 WHERE Unit = 'UNIT_ENGLISH_REDCOAT';

UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_TANK' 	WHERE Unit = 'UNIT_AMERICAN_ROUGH_RIDER';		

------------------------------------------------------------------------------------------------------------
-- RANGED SUPPORT UNITS AND MODERN ANTI-TANK UNITS (Crouching Tiger, Field Cannons and later ranged units)
------------------------------------------------------------------------------------------------------------

--Field cannon and some Modern era units are now support units:																																																		

UPDATE Units 				SET RangedCombat=1, Range=0 		WHERE 	PromotionClass = 'PROMOTION_CLASS_MELEE';
UPDATE Units 				SET RangedCombat=1, Range=0 		WHERE 	PromotionClass = 'PROMOTION_CLASS_ANTI_CAVALRY';
UPDATE Units 				SET RangedCombat=1, Range=0 		WHERE 	PromotionClass = 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units 				SET RangedCombat=1, Range=0 		WHERE 	PromotionClass = 'PROMOTION_CLASS_HEAVY_CAVALRY';
UPDATE Units 				SET RangedCombat=1, Range=0 		WHERE 	PromotionClass = 'PROMOTION_CLASS_MONK';

UPDATE Units 				SET Combat=0,RangedCombat=0,Range=0, FormationClass='FORMATION_CLASS_SUPPORT' 		WHERE 	UnitType= 'UNIT_CHINESE_CROUCHING_TIGER' OR
																														UnitType= 'UNIT_FIELD_CANNON' OR
																														UnitType= 'UNIT_KOREAN_HWACHA' OR
																														UnitType= 'UNIT_MACHINE_GUN' OR
																														UnitType= 'UNIT_AT_CREW' OR
																														UnitType= 'UNIT_MODERN_AT';
																														
UPDATE Units SET PromotionClass = 'PROMOTION_CLASS_SUPPORT' 	WHERE 	UnitType = 'UNIT_CHINESE_CROUCHING_TIGER' OR
																		UnitType= 'UNIT_FIELD_CANNON' OR
																		UnitType= 'UNIT_KOREAN_HWACHA' OR
																		UnitType= 'UNIT_MACHINE_GUN' OR
																		UnitType= 'UNIT_AT_CREW' OR
																		UnitType= 'UNIT_MODERN_AT'; 
																														
UPDATE Units_XP2 SET CanFormMilitaryFormation = 0 WHERE 	UnitType= 'UNIT_CHINESE_CROUCHING_TIGER' OR
															UnitType= 'UNIT_FIELD_CANNON' OR
															UnitType= 'UNIT_KOREAN_HWACHA' OR
															UnitType= 'UNIT_MACHINE_GUN' OR
															UnitType= 'UNIT_AT_CREW' OR
															UnitType= 'UNIT_MODERN_AT';
															
UPDATE Units_XP2 SET CanEarnExperience = 0 WHERE 			UnitType= 'UNIT_CHINESE_CROUCHING_TIGER' OR
															UnitType= 'UNIT_FIELD_CANNON' OR
															UnitType= 'UNIT_KOREAN_HWACHA' OR
															UnitType= 'UNIT_MACHINE_GUN' OR
															UnitType= 'UNIT_AT_CREW' OR
															UnitType= 'UNIT_MODERN_AT';
															
UPDATE Units_XP2 SET CanFormMilitaryFormation = 0 WHERE 	UnitType= 'UNIT_SCOUT' OR
															UnitType= 'UNIT_SKIRMISHER' OR
															UnitType= 'UNIT_RANGER' OR
															UnitType= 'UNIT_SPEC_OPS' OR
															UnitType= 'UNIT_CREE_OKIHTCITAW' OR
															UnitType= 'UNIT_INCA_WARAKAQ' OR															
															UnitType= 'UNIT_SCOTTISH_HIGHLANDER';


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--LAND MOVEMENT
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------
--Movement adjustment for religious units and great people
-------------------------------------------------------------------
UPDATE Units SET BaseMoves=2	WHERE 	FormationClass= 'FORMATION_CLASS_CIVILIAN'; -- includes great admiral and great general below
UPDATE Units SET BaseMoves=4	WHERE 	UnitType= 'UNIT_GREAT_GENERAL';






-------------------------------------------------------------------
-- MOVEMENT AND ROADS?
-------------------------------------------------------------------

--Siege and Support units move slowly now
UPDATE Units SET BaseMoves=1		WHERE 	UnitType= 'UNIT_BATTERING_RAM' OR
											UnitType= 'UNIT_SIEGE_TOWER' OR
											UnitType= 'UNIT_CATAPULT' OR
											UnitType= 'UNIT_BOMBARD' OR
											UnitType= 'UNIT_ARTILLERY';


--Increase Movement
--UPDATE Units SET BaseMoves=6 WHERE BaseMoves=5;
--UPDATE Units SET BaseMoves=5 WHERE BaseMoves=4;
--UPDATE Units SET BaseMoves=4 WHERE BaseMoves=3;
--UPDATE Units SET BaseMoves=3 WHERE BaseMoves=2;



--Railroad AND Modern Roads
--UPDATE Routes SET MovementCost=0.10 WHERE RouteType= 'ROUTE_MODERN_ROAD';
--UPDATE Routes SET MovementCost=0.05 WHERE RouteType= 'ROUTE_RAILROAD';

-------------------------------------------------------------------
--Supply Convoy and other vehicles
-------------------------------------------------------------------

UPDATE ModifierArguments 	SET Value=6 					WHERE 	ModifierId= 'SUPPLY_CONVOY_BONUS_MOVEMENT';
UPDATE Units 				SET BaseMoves=8 				WHERE 	UnitType= 'UNIT_SUPPLY_CONVOY';
UPDATE Units 				SET BaseMoves=4 				WHERE 	UnitType= 'UNIT_TANK';
UPDATE Units 				SET BaseMoves=2 				WHERE 	UnitType= 'UNIT_MODERN_AT';
UPDATE Units 				SET BaseMoves=8 				WHERE 	UnitType= 'UNIT_ROCKET_ARTILLERY';
UPDATE Units 				SET BaseMoves=12 				WHERE 	UnitType= 'UNIT_MOBILE_SAM';
UPDATE Units 				SET BaseMoves=6 				WHERE 	UnitType= 'UNIT_MODERN_ARMOR';
UPDATE Units 				SET BaseMoves=8 				WHERE 	UnitType= 'UNIT_MECHANIZED_INFANTRY';
UPDATE Units 				SET BaseMoves=15 				WHERE 	UnitType= 'UNIT_HELICOPTER'; --Range of 467 km / 30 = 15.56

--Air movement (will use 60 km per tile instead of 30 km, since the worlds in Civ6 are so small.
UPDATE Units SET BaseMoves=8 , 		Range=8 				WHERE 	UnitType= 'UNIT_BIPLANE';
UPDATE Units SET BaseMoves=14 , 	Range=14 				WHERE 	UnitType= 'UNIT_FIGHTER'; -- BF-109 had a range of 850 km = 28 tiles (30km) or 14 tiles (60km)
UPDATE Units SET BaseMoves=26 , 	Range=26 				WHERE 	UnitType= 'UNIT_AMERICAN_P51'; --P51-mustang has a range of 2656 km with external tanks, or 1609 km without. = 53 tiles (30km) or 26 tiles (60 km).
UPDATE Units SET BaseMoves=41 , 	Range=41 				WHERE 	UnitType= 'UNIT_BOMBER'; --B-24 liberator has a range of 2480 km = 83 tiles (30 km) or 41 tiles (60 km).
UPDATE Units SET BaseMoves=23 , 	Range=23 				WHERE 	UnitType= 'UNIT_JET_FIGHTER'; -- MiG-29 range is 1430 km with maximum internal fuel = 47 tiles (30 km), or 23 tiles (60 km). 2100km internal fuel for MiG-29SMT
UPDATE Units SET BaseMoves=46 , 	Range=46 				WHERE 	UnitType= 'UNIT_JET_BOMBER'; --B52-H combat radius is listed as 7210 km in the wiki, which is about 240 tiles (30 km), or 120 tiles (60 km). 
			

-------------------------------------------------------------------------------------------------------------------
-- NAVAL UNITS - MOVEMENT
-------------------------------------------------------------------------------------------------------------------



--Naval movement changes

--OHIO CLASS NUCLEAR SUBMARINE (ONLY ONE CURRENTLY IN US SERVICE) commisioned 1981-present: 37km/h submerged = 29 moves
UPDATE Units SET BaseMoves=29	WHERE 	UnitType= 'UNIT_NUCLEAR_SUBMARINE'; --was 26 in 2.6

--NANUCHKA MISSILE CORVETTE (commisioned 1970-1981): 59 moves at max speed, 22km/h for optimal range = 17 moves

UPDATE Units SET BaseMoves=17	WHERE 	UnitType= 'UNIT_MISSILE_CRUISER'; --was 47 (or 46)

--GEARING CLASS OF DESTROYERS (1942-43): 55 moves at max speed, 37 km/h for optimal range = 30 moves

UPDATE Units SET BaseMoves=30	WHERE 	UnitType= 'UNIT_DESTROYER'; --was 55 (or 46)

--YORKTOWN CLASS AIRCRAFT CARRIERS (commisioned 1937-1941): 48 moves at max speed, 28km/h for optimal range = 22 moves

UPDATE Units SET BaseMoves=22	WHERE 	UnitType= 'UNIT_AIRCRAFT_CARRIER'; --was 48 (or 46)

--IOWA-CLASS BATTLESHIP MAX MOVES: 48 moves max speed, 28 km/h for optimal range = 22 moves
--MINAS GERAES MOVES: 31 moves at max speed, 19km/h for optimal range = 15 moves

UPDATE Units SET BaseMoves=15	WHERE 	UnitType= 'UNIT_BATTLESHIP' OR				--was 31
										UnitType= 'UNIT_BRAZILIAN_MINAS_GERAES';

--GATO CLASS SUBMARINE: 31 max speed, but speed for optimal range: 15 moves
--U-BOAT Type VIIA: 26, but speed for optimal range: 15 moves

UPDATE Units SET BaseMoves=15	WHERE 	UnitType= 'UNIT_SUBMARINE' OR --was 24 in 2.6
										UnitType= 'UNIT_GERMAN_UBOAT';
										
--FIRST OCEAN-GOING IRONCLAD FRENCH GLOIRE, launched in 1859: 24km/h = 19 moves. 15km/h for optimal rane = 12 moves
--WARRIOR-CLASS IRONCLADS BRITISH, built 1859-1862: 20km/h for optimal range = 16 moves
--CSS VIRGINIA (commisioned 1862): 9-11 km/h max speed = 7-8 moves.
										
UPDATE Units SET BaseMoves=15	WHERE 	UnitType= 'UNIT_IRONCLAD';

UPDATE Units SET BaseMoves=9	WHERE 	UnitType= 'UNIT_PRIVATEER' OR 
										UnitType= 'UNIT_OTTOMAN_BARBARY_CORSAIR';					
UPDATE Units SET BaseMoves=9	WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');		
	
UPDATE Units SET BaseMoves=8	WHERE 	UnitType= 'UNIT_FRIGATE';
UPDATE Units SET BaseMoves=8	WHERE 	UnitType= 'UNIT_DE_ZEVEN_PROVINCIEN';

UPDATE Units SET BaseMoves=7	WHERE 	UnitType= 'UNIT_CARAVEL'; --slightly faster than embarked units until colonialism.	

UPDATE Units SET BaseMoves=7	WHERE 	UnitType= 'UNIT_QUADRIREME';			-- +1 move from Mathematics
UPDATE Units SET BaseMoves=7	WHERE 	UnitType= 'UNIT_PHOENICIA_BIREME';		-- +1 move from Shipbuilding, and +1 from Mathematics

UPDATE Units SET BaseMoves=6	WHERE 	UnitType= 'UNIT_GALLEY' OR 				-- +1 move from Shipbuilding, and +1 from Mathematics
										UnitType= 'UNIT_NORWEGIAN_LONGSHIP' OR 	-- +1 move from Shipbuilding, and +1 from Mathematics
										UnitType= 'UNIT_GREAT_ADMIRAL';			-- +1 move from Shipbuilding, and +1 from Mathematics
										




--------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------
-- TECH AND CIVIC PREREQS
--------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------

---------------------------
--Ancient
---------------------------

--Settlers are unlocked by Code of Laws:
UPDATE Units SET PrereqCivic = 'CIVIC_CODE_OF_LAWS' 			WHERE 	UnitType = 'UNIT_SETTLER';

--Settler become workers when captured
UPDATE UnitCaptures SET BecomesUnitType= 'UNIT_BUILDER' 		WHERE 	CapturedUnitType= 'UNIT_SETTLER';

UPDATE Units SET 	BaseMoves=3									WHERE 	UnitType='UNIT_HEAVY_CHARIOT'; --was combat=35 in 2.5. was Cost=95 in 2.7.3, 
UPDATE Civics SET 	EmbarkUnitType= 'UNIT_TRADER' 				WHERE 	CivicType= 'CIVIC_FOREIGN_TRADE';

UPDATE Units SET 	PromotionClass = 'PROMOTION_CLASS_RECON' 	WHERE 	UnitType = 'UNIT_SLINGER'; 

---------------------------	
--Classical			
---------------------------


UPDATE Units SET 						PrereqTech= 'TECH_CELESTIAL_NAVIGATION'					 				WHERE 	UnitType= 'UNIT_GALLEY'; --was Combat=30 in 2.5, now modifier instead
UPDATE Units SET 						PrereqTech= 'TECH_THE_WHEEL' 											WHERE 	UnitType= 'UNIT_BATTERING_RAM';			--was Masonry in vanilla, and Iron Working in earlier versions.

--Obsolete:
UPDATE Units SET 						ObsoleteTech= 'TECH_ENGINEERING', MandatoryObsoleteTech = 'TECH_MILITARY_TACTICS' 	WHERE 	UnitType= 'UNIT_SLINGER';
UPDATE Units SET 						ObsoleteTech= 'TECH_ENGINEERING', MandatoryObsoleteTech = 'TECH_MILITARY_TACTICS'  	WHERE 	UnitType= 'UNIT_WARRIOR';
---------------------------
--Medieval			
---------------------------


UPDATE Units SET 						PrereqTech= 'TECH_STIRRUPS'								 WHERE 	UnitType= 'UNIT_COURSER'; --was Combat=44 in 2.5?
UPDATE Units SET 						PrereqTech= 'TECH_CONSTRUCTION' 						WHERE 	UnitType= 'UNIT_MILITARY_ENGINEER'; --was Engineering in 2.7.3 and earlier
UPDATE Unit_BuildingPrereqs SET 		PrereqBuilding= 'BUILDING_STABLE' 						WHERE 	Unit= 'UNIT_MILITARY_ENGINEER';
INSERT INTO Unit_BuildingPrereqs 		(Unit , PrereqBuilding , NumSupported) 					VALUES 	( 'UNIT_MILITARY_ENGINEER' , 'BUILDING_BARRACKS' , '-1' );
INSERT INTO Unit_BuildingPrereqs 		(Unit , PrereqBuilding , NumSupported) 					VALUES 	( 'UNIT_MILITARY_ENGINEER' , 'BUILDING_ORDU' , '-1' );
UPDATE Units SET 						PrereqTech= 'TECH_MILITARY_TACTICS' 					WHERE 	UnitType= 'UNIT_SKIRMISHER'; --was 20, and machinery
UPDATE Units SET 						BaseMoves=4, PrereqTech= 'TECH_MILITARY_ENGINEERING' 	WHERE 	UnitType= 'UNIT_KNIGHT';


--Obsolete:



UPDATE Units SET 			ObsoleteTech= 'TECH_STIRRUPS', MandatoryObsoleteTech = 'TECH_MILITARY_ENGINEERING'					WHERE 	UnitType= 'UNIT_HEAVY_CHARIOT';
UPDATE Units SET 			ObsoleteTech= 'TECH_MILITARY_ENGINEERING', MandatoryObsoleteTech = 'TECH_MILITARY_ENGINEERING' 		WHERE 	UnitType= 'UNIT_HORSEMAN';
UPDATE Units SET 			ObsoleteTech= 'TECH_GUNPOWDER', MandatoryObsoleteTech = 'TECH_METAL_CASTING' 						WHERE 	UnitType= 'UNIT_SCOUT';
UPDATE Units SET 			ObsoleteTech= 'TECH_GUNPOWDER', MandatoryObsoleteTech = 'TECH_METAL_CASTING' 						WHERE 	UnitType= 'UNIT_SPEARMAN';
---------------------------
--Renaissance			
---------------------------

UPDATE Units SET 			PrereqTech= 'TECH_METAL_CASTING' 									WHERE 	UnitType= 'UNIT_MUSKETMAN';
UPDATE Units SET 			PrereqTech= 'TECH_METAL_CASTING' 									WHERE 	UnitType= 'UNIT_MAPUCHE_MALON_RAIDER';
	
--//Obsolete:	

UPDATE Units SET 			ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech = 'TECH_BALLISTICS' 				WHERE 	UnitType= 'UNIT_PIKEMAN';
UPDATE Units SET 			ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech = 'TECH_BALLISTICS' 	 			WHERE 	UnitType= 'UNIT_SWORDSMAN';
UPDATE Units SET 			ObsoleteTech= 'TECH_METAL_CASTING', MandatoryObsoleteTech = 'TECH_METAL_CASTING'		WHERE 	UnitType= 'UNIT_ARCHER';

---------------------------
--Industrial
---------------------------

UPDATE Units SET 		PrereqTech= 'TECH_MILITARY_SCIENCE' 	WHERE 	UnitType= 'UNIT_CUIRASSIER';

		
		
--Obsolete:	
UPDATE Units SET 		ObsoleteTech= 'TECH_SQUARE_RIGGING' , MandatoryObsoleteTech= 'TECH_INDUSTRIALIZATION' 			WHERE 	UnitType= 'UNIT_QUADRIREME';
UPDATE Units SET 		ObsoleteTech= 'TECH_SQUARE_RIGGING' , MandatoryObsoleteTech= 'TECH_SQUARE_RIGGING'  			WHERE 	UnitType= 'UNIT_GALLEY';
UPDATE Units SET 		ObsoleteTech= 'TECH_REPLACEABLE_PARTS', MandatoryObsoleteTech= 'TECH_COMBUSTION' 				WHERE 	UnitType= 'UNIT_BOMBARD';
UPDATE Units SET 		ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech= 'TECH_BALLISTICS'						WHERE 	UnitType= 'UNIT_CATAPULT';
UPDATE Units SET 		ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech= 'TECH_RIFLING' 							WHERE 	UnitType= 'UNIT_SKIRMISHER';
UPDATE Units SET 		ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech= 'TECH_RIFLING' 							WHERE 	UnitType= 'UNIT_CROSSBOWMAN';
UPDATE Units SET 		ObsoleteTech= 'TECH_MILITARY_SCIENCE', MandatoryObsoleteTech= 'TECH_RIFLING' 					WHERE 	UnitType= 'UNIT_COURSER';
UPDATE Units SET 		ObsoleteTech= 'TECH_MILITARY_SCIENCE', MandatoryObsoleteTech= 'TECH_RIFLING' 					WHERE 	UnitType= 'UNIT_KNIGHT';
UPDATE Units SET 		ObsoleteTech= 'TECH_STEAM_POWER' , MandatoryObsoleteTech= 'TECH_COMBUSTION'  					WHERE 	UnitType= 'UNIT_CARAVEL';

---------------------------	
--Modern	
---------------------------

UPDATE Units SET 		PrereqTech='TECH_REPLACEABLE_PARTS' 	WHERE 	UnitType='UNIT_ARTILLERY';
UPDATE Units SET 		PrereqTech='TECH_COMBUSTION' 			WHERE 	UnitType='UNIT_SUBMARINE';	
UPDATE Units SET 		PrereqTech='TECH_COMBUSTION' 			WHERE 	UnitType='UNIT_BATTLESHIP';	

--//Obsolete:
UPDATE Units SET 		ObsoleteTech= 'TECH_COMBUSTION' , MandatoryObsoleteTech= 'TECH_COMBINED_ARMS'  					WHERE 	UnitType= 'UNIT_FRIGATE';
UPDATE Units SET 		ObsoleteTech= 'TECH_COMBUSTION' , MandatoryObsoleteTech= 'TECH_COMBINED_ARMS'  					WHERE 	UnitType= 'UNIT_PRIVATEER';
UPDATE Units SET 		ObsoleteTech= 'TECH_REPLACEABLE_PARTS' , MandatoryObsoleteTech= 'TECH_COMBUSTION'  				WHERE 	UnitType= 'UNIT_MUSKETMAN';
UPDATE Units SET 		ObsoleteTech= 'TECH_REPLACEABLE_PARTS' , MandatoryObsoleteTech= 'TECH_COMBUSTION'  				WHERE 	UnitType= 'UNIT_PIKE_AND_SHOT';
---------------------------	
--Atomic	
---------------------------

UPDATE Units SET 			PrereqTech= 'TECH_COMBINED_ARMS' 							WHERE 	UnitType= 'UNIT_TANK';
UPDATE Units SET 			PrereqTech= 'TECH_ADVANCED_BALLISTICS' 						WHERE 	UnitType= 'UNIT_AT_CREW';		

--Telecomm.
UPDATE Units SET 			PrereqTech= 'TECH_TELECOMMUNICATIONS' 						WHERE 	UnitType= 'UNIT_JET_BOMBER';
UPDATE Units SET 			PrereqTech= 'TECH_TELECOMMUNICATIONS' 						WHERE 	UnitType= 'UNIT_HELICOPTER';


--CIVIC - Rapid Deployment
UPDATE Units SET 			PrereqTech=NULL,	PrereqCivic='CIVIC_COLD_WAR' 				WHERE 	UnitType= 'UNIT_SPEC_OPS';



--//Obsolete:
UPDATE Units SET 			ObsoleteTech= 'TECH_ADVANCED_BALLISTICS' , 	MandatoryObsoleteTech= 'TECH_COMBINED_ARMS' 			WHERE 	UnitType= 'UNIT_CAVALRY';
UPDATE Units SET 			ObsoleteTech='TECH_ADVANCED_BALLISTICS', 	MandatoryObsoleteTech= 'TECH_COMBINED_ARMS' 			WHERE 	UnitType= 'UNIT_FIELD_CANNON';
UPDATE Units SET 			ObsoleteTech='TECH_ADVANCED_BALLISTICS' , 	MandatoryObsoleteTech= 'TECH_COMBINED_ARMS' 			WHERE 	UnitType= 'UNIT_CUIRASSIER';
UPDATE Units SET 			ObsoleteTech= 'TECH_ROCKETRY' , 			MandatoryObsoleteTech= 'TECH_TELECOMMUNICATIONS' 		WHERE 	UnitType= 'UNIT_BIPLANE';
UPDATE Units SET 			ObsoleteTech=NULL,	ObsoleteCivic='CIVIC_COLD_WAR' 													WHERE 	UnitType= 'UNIT_RANGER';
---------------------------
--Information
---------------------------

--Guidance systems
UPDATE Units SET 			PrereqTech= 'TECH_GUIDANCE_SYSTEMS' 						WHERE 	UnitType= 'UNIT_MOBILE_SAM';
UPDATE Units SET 			PrereqTech= 'TECH_GUIDANCE_SYSTEMS' 						WHERE 	UnitType= 'UNIT_MISSILE_CRUISER';

--Computers
UPDATE Units SET 			PrereqTech= 'TECH_COMPUTERS' 								WHERE 	UnitType= 'UNIT_MODERN_ARMOR';
UPDATE Units SET 			PrereqTech= 'TECH_COMPUTERS' 								WHERE 	UnitType= 'UNIT_ROCKET_ARTILLERY';

--Stealth tech
UPDATE Units SET 			PrereqTech= 'TECH_STEALTH_TECHNOLOGY' 						WHERE 	UnitType= 'UNIT_NUCLEAR_SUBMARINE';
UPDATE Units SET 			PrereqTech= 'TECH_STEALTH_TECHNOLOGY' 						WHERE 	UnitType= 'UNIT_JET_FIGHTER';

--Lasers
UPDATE Units SET 			PrereqTech= 'TECH_LASERS' 									WHERE 	UnitType= 'UNIT_MODERN_AT';
UPDATE Units SET 			PrereqTech= 'TECH_LASERS' 									WHERE 	UnitType= 'UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET 			PrereqTech= 'TECH_LASERS' 									WHERE 	UnitType= 'UNIT_DRONE';



--//Obsolete:
UPDATE Units SET 			ObsoleteTech='TECH_NANOTECHNOLOGY',MandatoryObsoleteTech= 'TECH_ROBOTICS' 	WHERE 	UnitType= 'UNIT_OBSERVATION_BALLOON';
UPDATE Units SET 			ObsoleteTech='TECH_NANOTECHNOLOGY',MandatoryObsoleteTech= 'TECH_ROBOTICS' 	WHERE 	UnitType= 'UNIT_TANK';
UPDATE Units SET 			ObsoleteTech='TECH_NANOTECHNOLOGY',MandatoryObsoleteTech= 'TECH_ROBOTICS' 	WHERE 	UnitType= 'UNIT_AT_CREW';
UPDATE Units SET 			ObsoleteTech='TECH_ROBOTICS' 				WHERE 	UnitType= 'UNIT_FIGHTER';
UPDATE Units SET 			ObsoleteTech='TECH_ROBOTICS' 				WHERE 	UnitType= 'UNIT_BOMBER';
----------------------------
-- Unique Units
----------------------------


--Ancient

UPDATE Units SET 			PrereqTech = 'TECH_THE_WHEEL' 																	WHERE 	UnitType= 'UNIT_SUMERIAN_WAR_CART'; --was combat=35 in 2.5, now requires bronze working.
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 																	( 'UNIT_SUMERIAN_WAR_CART' , 			'CLASS_HEAVY_CAVALRY' );
INSERT INTO UnitReplaces 	(CivUniqueUnitType, ReplacesUnitType) 	SELECT 'UNIT_SUMERIAN_WAR_CART', 'UNIT_HEAVY_CHARIOT' 	WHERE NOT EXISTS (SELECT 1 FROM UnitReplaces WHERE CivUniqueUnitType = 'UNIT_SUMERIAN_WAR_CART');
UPDATE Units SET 			BaseMoves=3 																					WHERE 	UnitType= 'UNIT_EGYPTIAN_CHARIOT_ARCHER'; --vanilla, 25, 35. Was rangedcombat =20 in 2.5, now starts with 25 to help A.I. prioritize.					

						
--Classical									
UPDATE Units SET 			PrereqTech= 'TECH_CELESTIAL_NAVIGATION' 					WHERE 	UnitType= 'UNIT_PHOENICIA_BIREME'; --was Combat=35 in 2.5, now requires shipbuilding.
UPDATE Units SET 			PrereqTech= 'TECH_CELESTIAL_NAVIGATION'						WHERE 	UnitType= 'UNIT_NORWEGIAN_LONGSHIP'; --was Combat=35 in 2.5, now requires shipbuilding.


								
--Medieval						

UPDATE Units SET 			PrereqTech= 'TECH_MILITARY_TACTICS' 						WHERE 	UnitType= 'UNIT_INCA_WARAKAQ'; --was 20, and machinery, replaces skirmisher
UPDATE Units SET 			PrereqTech= 'TECH_STIRRUPS' 								WHERE 	UnitType= 'UNIT_HUNGARY_BLACK_ARMY'; --was 47 in 2.5. Now requires some other tech. Replaces Courser
UPDATE Units SET 			PrereqTech= 'TECH_MILITARY_ENGINEERING' 					WHERE 	UnitType= 'UNIT_ARABIAN_MAMLUK'; --Replaces Knight
UPDATE Units SET 			PrereqTech= 'TECH_MILITARY_ENGINEERING' 					WHERE 	UnitType= 'UNIT_MALI_MANDEKALU_CAVALRY'; --Replaces Knight
UPDATE Units SET 			PrereqTech= 'TECH_GUNPOWDER' 								WHERE 	UnitType= 'UNIT_CHINESE_CROUCHING_TIGER';
UPDATE UnitUpgrades SET 	UpgradeUnit = 'UNIT_CUIRASSIER'								WHERE  	Unit = 'UNIT_ARABIAN_MAMLUK';
UPDATE UnitUpgrades SET 	UpgradeUnit = 'UNIT_CUIRASSIER'								WHERE  	Unit = 'UNIT_POLISH_HUSSAR';


--Renaissance

UPDATE Units SET 			PrereqTech= 'TECH_METAL_CASTING'							WHERE 	UnitType= 'UNIT_SULEIMAN_JANISSARY'; --r. musketman
UPDATE Units SET 			PrereqTech= 'TECH_METAL_CASTING' 							WHERE 	UnitType= 'UNIT_SPANISH_CONQUISTADOR'; --r. musketman
UPDATE Units SET 			PrereqTech= 'TECH_METAL_CASTING' 							WHERE 	UnitType= 'UNIT_KOREAN_HWACHA';



--Industrial
																						
UPDATE Units SET 			PrereqTech= 'TECH_BALLISTICS' 								WHERE 	UnitType= 'UNIT_RANGER';																																
UPDATE Units SET 			PrereqTech= 'TECH_BALLISTICS'  								WHERE 	UnitType = 'UNIT_SCOTTISH_HIGHLANDER';	

--Modern	
UPDATE Units SET 			PrereqTech= 'TECH_COMBUSTION' 								WHERE 	UnitType= 'UNIT_BRAZILIAN_MINAS_GERAES';
UPDATE Units SET 			PrereqTech= 'TECH_COMBUSTION' 								WHERE 	UnitType= 'UNIT_GERMAN_UBOAT';


--Atomic
		


	

--------------------------------------------------------------------------------------------------------------------------------------
-- INCREASED MAINTENANCE FOR UNITS:
--------------------------------------------------------------------------------------------------------------------------------------

--------------------------
--No defined Era
--------------------------

UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_MISSIONARY';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_APOSTLE';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_INQUISITOR';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GURU';
	
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_GENERAL';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_ADMIRAL';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_ENGINEER';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_MERCHANT';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_PROPHET';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_SCIENTIST';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_WRITER';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_ARTIST';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_GREAT_MUSICIAN';
	
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSEMAN';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
	
--UPDATE Units SET Maintenance = 	1 WHERE 	UnitType = 'UNIT_SPY'; --4 in base game
	
--------------------------	
-- ANCIENT	
--------------------------	
UPDATE Units SET Maintenance = 0 	WHERE 	UnitType = 'UNIT_TRADER';

UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_SETTLER';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_BUILDER';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_SCOUT';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_WARRIOR';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_SLINGER';
	
	
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_BATTERING_RAM';
	
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_ARCHER';
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_SPEARMAN';
	
	
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_HEAVY_CHARIOT';
	
-- Uniques	
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_CREE_OKIHTCITAW';
	
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_GREEK_HOPLITE';
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_SUMERIAN_WAR_CART';
	
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';
	
	
--------------------------	
--CLASSICAL	
--------------------------	
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_GALLEY';
	
	
UPDATE Units SET Maintenance = 2 	WHERE 	UnitType = 'UNIT_SIEGE_TOWER';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_QUADRIREME';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_MILITARY_ENGINEER';
	
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_SWORDSMAN';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_HORSEMAN';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_CATAPULT';
	
-- Uniques	
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_PHOENICIA_BIREME';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_NORWEGIAN_LONGSHIP';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_RAIDER';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_MAORI_TOA';
	
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_ROMAN_LEGION';
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_KONGO_SHIELD_BEARER';
	
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_INDIAN_VARU';				--requires no horses or iron, so therefore more expensive to maintain

--------------------------
--MEDIEVAL
--------------------------
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_SKIRMISHER';
	
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_PIKEMAN';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_CROSSBOWMAN';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_COURSER';
	
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_KNIGHT';

-- Uniques
UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_WARRIOR_MONK';

UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_INCA_WARAKAQ'; --more expensive because unit costs no iron!
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_ZULU_IMPI';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_JAPANESE_SAMURAI';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_NORWEGIAN_BERSERKER';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_GEORGIAN_KHEVSURETI';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_HUNGARY_BLACK_ARMY';

UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_MONGOLIAN_KESHIG';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_ARABIAN_MAMLUK';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_MALI_MANDEKALU_CAVALRY';

UPDATE Units SET Maintenance = 4 	WHERE 	UnitType = 'UNIT_CHINESE_CROUCHING_TIGER';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_OTTOMAN_BARBARY_CORSAIR';


--------------------------
--RENAISSANCE
--------------------------

UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_CARAVEL';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_MUSKETMAN';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_PRIVATEER';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_PIKE_AND_SHOT';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_BOMBARD';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_FRIGATE';

-- Uniques
UPDATE Units SET Maintenance = 6	WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');		
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_ENGLISH_SEADOG';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_MAPUCHE_MALON_RAIDER';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_SULEIMAN_JANISSARY';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_SWEDEN_CAROLEAN';

UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_DE_ZEVEN_PROVINCIEN';


--------------------------
--INDUSTRIAL
--------------------------

UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_ARCHAEOLOGIST';
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_NATURALIST';

UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_MEDIC';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_RANGER';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_CAVALRY';
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_FIELD_CANNON';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_CUIRASSIER';

UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_IRONCLAD';

	
-- Uniques	
	
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_SCOTTISH_HIGHLANDER';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_HUNGARY_HUSZAR';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_ENGLISH_REDCOAT';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';	

--------------------------	
--MODERN	
--------------------------	
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_OBSERVATION_BALLOON';

UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_INFANTRY';
UPDATE Units SET Maintenance = 10	WHERE 	UnitType = 'UNIT_SUBMARINE';
UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_SUPPLY_CONVOY';
UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_ARTILLERY';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_BIPLANE';
UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_BATTLESHIP';

-- Uniques	
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_CANADA_MOUNTIE';
UPDATE Units SET Maintenance = 10	WHERE 	UnitType = 'UNIT_AMERICAN_ROUGH_RIDER';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_GERMAN_UBOAT';

UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';
	
--------------------------	
--ATOMIC	
--------------------------	
UPDATE Units SET Maintenance = 1 	WHERE 	UnitType = 'UNIT_ROCK_BAND';

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_ANTIAIR_GUN';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_AT_CREW';
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_MACHINE_GUN';

UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_SPEC_OPS';

UPDATE Units SET Maintenance = 16	WHERE 	UnitType = 'UNIT_AIRCRAFT_CARRIER';
UPDATE Units SET Maintenance = 16	WHERE 	UnitType = 'UNIT_TANK';
UPDATE Units SET Maintenance = 16 	WHERE 	UnitType = 'UNIT_HELICOPTER';
UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_FIGHTER';

UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_DESTROYER';
UPDATE Units SET Maintenance = 16 	WHERE 	UnitType = 'UNIT_BOMBER';

-- Uniques	
UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_AMERICAN_P51';

--WMDs
UPDATE WMDs SET Maintenance = 22 	WHERE WeaponType = 'WMD_NUCLEAR_DEVICE';
UPDATE WMDs SET Maintenance = 26 	WHERE WeaponType = 'WMD_THERMONUCLEAR_DEVICE';

--------------------------	
--INFORMATION	
--------------------------	
UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_MOBILE_SAM';
UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_DRONE';
UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_MODERN_AT';

UPDATE Units SET Maintenance = 14 	WHERE 	UnitType = 'UNIT_NUCLEAR_SUBMARINE';
UPDATE Units SET Maintenance = 16 	WHERE 	UnitType = 'UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET Maintenance = 18 	WHERE 	UnitType = 'UNIT_ROCKET_ARTILLERY';

UPDATE Units SET Maintenance = 18 	WHERE 	UnitType = 'UNIT_JET_FIGHTER';
UPDATE Units SET Maintenance = 20 	WHERE 	UnitType = 'UNIT_JET_BOMBER';

UPDATE Units SET Maintenance = 18 	WHERE 	UnitType = 'UNIT_MISSILE_CRUISER';
UPDATE Units SET Maintenance = 18 	WHERE 	UnitType = 'UNIT_MODERN_ARMOR';



	
-- Uniques	
	
	
--------------------------	
--FUTURE	
--------------------------	
	
UPDATE Units SET Maintenance = 30 	WHERE 	UnitType = 'UNIT_GIANT_DEATH_ROBOT';


-- Uniques
--------------------------

--------------------------------------------------------------------------------------------------------------------------------------
-- PRODUCTION COST CHANGES FOR UNITS (copied maintenance code above):
--------------------------------------------------------------------------------------------------------------------------------------

--------------------------
--No defined Era
--------------------------

--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_MISSIONARY';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_APOSTLE';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_INQUISITOR';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GURU';
--	
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_GENERAL';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_ADMIRAL';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_ENGINEER';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_MERCHANT';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_PROPHET';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_SCIENTIST';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_WRITER';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_ARTIST';
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_GREAT_MUSICIAN';
--	
--UPDATE Units SET Cost = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSEMAN';
--UPDATE Units SET Cost = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
--	
--UPDATE Units SET Cost=1 		WHERE 	UnitType = 'UNIT_SPY';
--	
----------------------------	
---- ANCIENT	
----------------------------	
--UPDATE Units SET Cost = 0 	WHERE 	UnitType = 'UNIT_TRADER';				--was 40
--
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_SETTLER';				--was 80
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_BUILDER';				--was 50
UPDATE Units SET Cost = 20 	WHERE 	UnitType = 'UNIT_SCOUT';					--was 30
UPDATE Units SET Cost = 30 	WHERE 	UnitType = 'UNIT_WARRIOR';					--was 40
UPDATE Units SET Cost = 25 	WHERE 	UnitType = 'UNIT_SLINGER';					--was 35
								
UPDATE Units SET Cost = 35 	WHERE 	UnitType = 'UNIT_BATTERING_RAM'; 			--was 65
				
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_ARCHER';					--was 60
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_SPEARMAN';					--was 65 before, and 55 in first test. reduced to 50 to test if AI builds even number of archers and spearmen
				
				
UPDATE Units SET Cost = 55 	WHERE 	UnitType = 'UNIT_HEAVY_CHARIOT';			--was 65
	
-- Uniques	
UPDATE Units SET Cost = 20 	WHERE 	UnitType = 'UNIT_CREE_OKIHTCITAW';			--was 30
	
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_GREEK_HOPLITE';			--was 65, and 55 in first test. reduced to 50 to test if AI builds even number of archers and spearmen
UPDATE Units SET Cost = 45 	WHERE 	UnitType = 'UNIT_SUMERIAN_WAR_CART';		--was 55
	
UPDATE Units SET Cost = 80 	WHERE 	UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';	--was 90
--	
--	
----------------------------	
----CLASSICAL	
----------------------------	
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_GALLEY';						--was 65. was 55 before, this is a test to see if AI builds even numbers alongside archers and spearmen
		
		
UPDATE Units SET Cost = 60	WHERE 	UnitType = 'UNIT_SIEGE_TOWER';					--was 100
UPDATE Units SET Cost = 100 WHERE 	UnitType = 'UNIT_QUADRIREME';					--was 120
UPDATE Units SET Cost = 100 WHERE 	UnitType = 'UNIT_MILITARY_ENGINEER';			--was 170
UPDATE Units SET CostProgressionModel = 'COST_PROGRESSION_GAME_PROGRESS',CostProgressionParam1 = 200 	WHERE 	UnitType = 'UNIT_MILITARY_ENGINEER';		--was no cost progression
	
UPDATE Units SET Cost = 80 	WHERE 	UnitType = 'UNIT_SWORDSMAN';							--was 90
UPDATE Units SET Cost = 70 	WHERE 	UnitType = 'UNIT_HORSEMAN';								--was 80
UPDATE Units SET Cost = 120 WHERE 	UnitType = 'UNIT_CATAPULT'; 							--was 120
--			
---- Uniques			
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_PHOENICIA_BIREME';						--was 65. was 55 before, this is a test to see if AI builds even numbers alongside archers and spearmen
UPDATE Units SET Cost = 50 	WHERE 	UnitType = 'UNIT_NORWEGIAN_LONGSHIP';					--was 65. was 55 before, this is a test to see if AI builds even numbers alongside archers and spearmen
UPDATE Units SET Cost = 55 	WHERE 	UnitType = 'UNIT_BARBARIAN_RAIDER';						--was 65
UPDATE Units SET Cost = 110 WHERE 	UnitType = 'UNIT_MAORI_TOA';							--was 120
			
UPDATE Units SET Cost = 90 	WHERE 	UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';				--was 100
UPDATE Units SET Cost = 100 WHERE 	UnitType = 'UNIT_ROMAN_LEGION';							--was 110
UPDATE Units SET Cost = 100 WHERE 	UnitType = 'UNIT_KONGO_SHIELD_BEARER';					--was 110
			
UPDATE Units SET Cost = 110 WHERE 	UnitType = 'UNIT_INDIAN_VARU';							--was 120
--		
----------------------------		
----MEDIEVAL		
----------------------------		
UPDATE Units SET Cost = 120 	WHERE 	UnitType = 'UNIT_SKIRMISHER';						--was 150
--			
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_PIKEMAN';							--was 180
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_CROSSBOWMAN';						--was 180
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_COURSER';		
--			
--UPDATE Units SET Cost = 220 	WHERE 	UnitType = 'UNIT_KNIGHT';							--was 220
--		
---- Uniques		
--UPDATE Units SET Cost = 4 	WHERE 	UnitType = 'UNIT_WARRIOR_MONK';		
UPDATE Units SET Cost = 135 	WHERE 	UnitType = 'UNIT_INCA_WARAKAQ';						--was 165
--			
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_ZULU_IMPI';		
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_JAPANESE_SAMURAI';		
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_NORWEGIAN_BERSERKER';		
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_GEORGIAN_KHEVSURETI';		
--UPDATE Units SET Cost = 6 	WHERE 	UnitType = 'UNIT_HUNGARY_BLACK_ARMY';		
--		
--UPDATE Units SET Cost = 8 	WHERE 	UnitType = 'UNIT_MONGOLIAN_KESHIG';		
--UPDATE Units SET Cost = 8 	WHERE 	UnitType = 'UNIT_ARABIAN_MAMLUK';		
--UPDATE Units SET Cost = 8 	WHERE 	UnitType = 'UNIT_MALI_MANDEKALU_CAVALRY';		
--		
--UPDATE Units SET Cost = 150 	WHERE 	UnitType = 'UNIT_CHINESE_CROUCHING_TIGER';			--was 160
UPDATE Units SET Cost = 210 	WHERE 	UnitType = 'UNIT_OTTOMAN_BARBARY_CORSAIR';			--was 240
--		
--		
----------------------------		
----RENAISSANCE		
----------------------------		
--		
UPDATE Units SET Cost = 200 	WHERE 	UnitType = 'UNIT_CARAVEL';							--was 240

UPDATE Units SET Cost = 210 	WHERE 	UnitType = 'UNIT_PRIVATEER';						--was 280
UPDATE Units SET Cost = 220 	WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');		 --was 280

UPDATE Units SET Cost = 220 	WHERE 	UnitType = 'UNIT_MUSKETMAN'; 						--was 240
UPDATE Units SET Cost = 100 	WHERE 	UnitType = 'UNIT_SULEIMAN_JANISSARY';					--was 120
UPDATE Units SET Cost = 230 	WHERE 	UnitType = 'UNIT_SPANISH_CONQUISTADOR';					--was 250

UPDATE Units SET Cost = 220 	WHERE 	UnitType = 'UNIT_PIKE_AND_SHOT';					--was 250
UPDATE Units SET Cost = 230 	WHERE 	UnitType = 'UNIT_SWEDEN_CAROLEAN';						--was 250


UPDATE Units SET Cost = 280 	WHERE 	UnitType = 'UNIT_BOMBARD';							--was 280

UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_FRIGATE';							--was 280
UPDATE Units SET Cost = 300		WHERE 	UnitType = 'UNIT_DE_ZEVEN_PROVINCIEN';					--was 280
--
---- Uniques			

UPDATE Units SET Cost = 220 	WHERE 	UnitType = 'UNIT_MAPUCHE_MALON_RAIDER';					--was 250
UPDATE Units SET Cost = 230 	WHERE 	UnitType = 'UNIT_KOREAN_HWACHA';						--was 250

----------------------------
----INDUSTRIAL
----------------------------
--
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_ARCHAEOLOGIST';					--was 400
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_NATURALIST';						--was 600
--
UPDATE Units SET Cost = 240 	WHERE 	UnitType = 'UNIT_MEDIC';							--was 370

UPDATE Units SET Cost = 280 	WHERE 	UnitType = 'UNIT_FIELD_CANNON';						--was 330

UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_CAVALRY';							--was 330
UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_CUIRASSIER';						--was 330

UPDATE Units SET Cost = 320 	WHERE 	UnitType = 'UNIT_RANGER';							--was 380

UPDATE Units SET Cost = 360 	WHERE 	UnitType = 'UNIT_IRONCLAD';							--was 380
--
--	
---- Uniques	

UPDATE Units SET Cost = 305 	WHERE 	UnitType = 'UNIT_HUNGARY_HUSZAR';					--was 335
UPDATE Units SET Cost = 310 	WHERE 	UnitType = 'UNIT_RUSSIAN_COSSACK';					--was 340
UPDATE Units SET Cost = 320 	WHERE 	UnitType = 'UNIT_SCOTTISH_HIGHLANDER';				--was 380
UPDATE Units SET Cost = 320 	WHERE 	UnitType = 'UNIT_ENGLISH_REDCOAT';					--was 340
UPDATE Units SET Cost = 320 	WHERE 	UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';			--was 340
--
----------------------------	
----MODERN	
----------------------------	
UPDATE Units SET Cost = 240 	WHERE 	UnitType = 'UNIT_OBSERVATION_BALLOON';				--was 240

UPDATE Units SET Cost = 360		WHERE 	UnitType = 'UNIT_SUBMARINE';						--was 480

UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_BIPLANE';							--was 430

UPDATE Units SET Cost = 400		WHERE 	UnitType = 'UNIT_INFANTRY';							--was 430
					
UPDATE Units SET Cost = 410 	WHERE 	UnitType = 'UNIT_SUPPLY_CONVOY';					--was 450
UPDATE Units SET Cost = 410 	WHERE 	UnitType = 'UNIT_ARTILLERY';						--was 430
					
UPDATE Units SET Cost = 560 	WHERE 	UnitType = 'UNIT_BATTLESHIP';						--was 430

--
-- Uniques	
UPDATE Units SET Cost = 325		WHERE 	UnitType = 'UNIT_AMERICAN_ROUGH_RIDER';				--was 385
UPDATE Units SET Cost = 325 	WHERE 	UnitType = 'UNIT_CANADA_MOUNTIE';					--was 400	
UPDATE Units SET Cost = 310 	WHERE 	UnitType = 'UNIT_GERMAN_UBOAT';						--was 430
UPDATE Units SET Cost = 560 	WHERE 	UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';			--was 430
--	
----------------------------	
----ATOMIC	
----------------------------	
--UPDATE Units SET Cost = 1 	WHERE 	UnitType = 'UNIT_ROCK_BAND';

UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_ANTIAIR_GUN'; 						--was 455
UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_AT_CREW';							--was 400
UPDATE Units SET Cost = 300 	WHERE 	UnitType = 'UNIT_MACHINE_GUN';						--was 540

UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_SPEC_OPS';							--was 520

UPDATE Units SET Cost = 500		WHERE 	UnitType = 'UNIT_DESTROYER';						--was 540, now half way between subs and battleships

UPDATE Units SET Cost = 500		WHERE 	UnitType = 'UNIT_TANK';								--was 480

UPDATE Units SET Cost = 500 	WHERE 	UnitType = 'UNIT_FIGHTER';							--was 520

UPDATE Units SET Cost = 540 	WHERE 	UnitType = 'UNIT_BOMBER';							--was 560
UPDATE Units SET Cost = 540		WHERE 	UnitType = 'UNIT_AIRCRAFT_CARRIER';					--was 540

UPDATE Units SET Cost = 580 	WHERE 	UnitType = 'UNIT_HELICOPTER';						--was 600

---- Uniques	
UPDATE Units SET Cost = 500 	WHERE 	UnitType = 'UNIT_AMERICAN_P51';						--was 520


----------------------------	
----INFORMATION	
----------------------------	
UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_MODERN_AT';						--was 580
UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_MOBILE_SAM';						--was 590
UPDATE Units SET Cost = 400 	WHERE 	UnitType = 'UNIT_DRONE';							--was 420

UPDATE Units SET Cost = 440		WHERE 	UnitType = 'UNIT_NUCLEAR_SUBMARINE';				--was 680

UPDATE Units SET Cost = 500 	WHERE 	UnitType = 'UNIT_MECHANIZED_INFANTRY';				--was 650

UPDATE Units SET Cost = 560		WHERE 	UnitType = 'UNIT_ROCKET_ARTILLERY';					--was 680

UPDATE Units SET Cost = 600 	WHERE 	UnitType = 'UNIT_MODERN_ARMOR';						--was 680

UPDATE Units SET Cost = 620 	WHERE 	UnitType = 'UNIT_JET_FIGHTER';						--was 650

UPDATE Units SET Cost = 660 	WHERE 	UnitType = 'UNIT_MISSILE_CRUISER';					--was 680

--UPDATE Units SET Cost = 700 	WHERE 	UnitType = 'UNIT_JET_BOMBER';						--was 700

---- Uniques	

----------------------------	
----FUTURE	
----------------------------	
--	
--UPDATE Units SET Cost = 30 	WHERE 	UnitType = 'UNIT_GIANT_DEATH_ROBOT';				--was 1500


-- Uniques
--------------------------

--------------------------------------------------------------------------------------------------------------------------------------
---- MELEE (COMBAT), RANGED AND BOMBARD STRENGTH
--------------------------------------------------------------------------------------------------------------------------------------


--EMBARKED UNIT STRENGTH FOR ERAS:
UPDATE Eras SET EmbarkedUnitStrength=15 	WHERE 	EraType= 'ERA_ANCIENT'; 		--was 10
UPDATE Eras SET EmbarkedUnitStrength=25 	WHERE 	EraType= 'ERA_CLASSICAL'; 		--was 15
UPDATE Eras SET EmbarkedUnitStrength=40 	WHERE 	EraType= 'ERA_MEDIEVAL'; 		--was 20, 30 in 2.7.3
UPDATE Eras SET EmbarkedUnitStrength=45 	WHERE 	EraType= 'ERA_RENAISSANCE'; 	--was 30, 40 in 2.7.3
UPDATE Eras SET EmbarkedUnitStrength=50 	WHERE 	EraType= 'ERA_INDUSTRIAL'; 		--was 35
UPDATE Eras SET EmbarkedUnitStrength=55 	WHERE 	EraType= 'ERA_MODERN'; 			--was 50
UPDATE Eras SET EmbarkedUnitStrength=60 	WHERE 	EraType= 'ERA_ATOMIC'; 			--was 55
UPDATE Eras SET EmbarkedUnitStrength=65 	WHERE 	EraType= 'ERA_INFORMATION'; 	--was 55
UPDATE Eras SET EmbarkedUnitStrength=70 	WHERE 	EraType= 'ERA_FUTURE'; 			--was 55





--
----------------------------
----No defined Era
----------------------------
--
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_MISSIONARY';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_APOSTLE';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_INQUISITOR';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GURU';
--	
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_GENERAL';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_ADMIRAL';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_ENGINEER';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_MERCHANT';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_PROPHET';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_SCIENTIST';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_WRITER';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_ARTIST';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_GREAT_MUSICIAN';
--	
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSEMAN';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
--	
----UPDATE Units SET Combat = 	1 WHERE 	UnitType = 'UNIT_SPY'; --4 in base game
--	
----------------------------	
---- ANCIENT	
----------------------------	
--UPDATE Units SET Combat = 0 	WHERE 	UnitType = 'UNIT_TRADER';
--
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_SETTLER';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_BUILDER';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_SCOUT';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_WARRIOR';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_SLINGER';
--	
--	
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_BATTERING_RAM';
--	
--UPDATE Units SET Combat = 2 	WHERE 	UnitType = 'UNIT_ARCHER';
--UPDATE Units SET Combat = 2 	WHERE 	UnitType = 'UNIT_SPEARMAN';
--	
--	
UPDATE Units SET Combat = 30 	WHERE 	UnitType = 'UNIT_HEAVY_CHARIOT';
--	
---- Uniques	
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_CREE_OKIHTCITAW';
--	
--UPDATE Units SET Combat = 2 	WHERE 	UnitType = 'UNIT_GREEK_HOPLITE';
--UPDATE Units SET Combat = 2 	WHERE 	UnitType = 'UNIT_SUMERIAN_WAR_CART';
--	
UPDATE Units SET Combat = 20,RangedCombat=25 	WHERE 	UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER'; --vanilla, 25, 35. Was rangedcombat =20 in 2.5, now starts with 25 to help A.I. prioritize.
--	

----------------------------	
----CLASSICAL	
----------------------------	
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_GALLEY';
--	
--	
--UPDATE Units SET Combat = 2 	WHERE 	UnitType = 'UNIT_SIEGE_TOWER';
UPDATE Units SET Range = 2		WHERE 	UnitType = 'UNIT_QUADRIREME'; --was range 1 in vanilla and before 2.7
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_MILITARY_ENGINEER';
--	
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_SWORDSMAN';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_HORSEMAN';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_CATAPULT';
--	
---- Uniques	
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_PHOENICIA_BIREME';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_NORWEGIAN_LONGSHIP';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_BARBARIAN_RAIDER';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_MAORI_TOA';
--	
UPDATE Units SET Combat=20, RangedCombat=25, Range=2	 	WHERE 	UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';	--vanilla 15, 25. Was combat and rangedcombat =20 in 2.5, now starts with 25 to help A.I. prioritize.
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_ROMAN_LEGION';
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_KONGO_SHIELD_BEARER';
--	
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_INDIAN_VARU';
--
----------------------------
----MEDIEVAL
----------------------------

UPDATE Units SET Combat = 25 	WHERE 	UnitType = 'UNIT_SKIRMISHER';
--	
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_PIKEMAN';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_CROSSBOWMAN';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_COURSER';
--	
UPDATE Units SET Combat = 50 	WHERE 	UnitType = 'UNIT_KNIGHT';
--
---- Uniques
--UPDATE Units SET Combat = 4 	WHERE 	UnitType = 'UNIT_WARRIOR_MONK';
UPDATE Units SET Combat = 25 	WHERE 	UnitType = 'UNIT_INCA_WARAKAQ';	 --was 20, and machinery, replaces skirmisher
--	
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_ZULU_IMPI';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_JAPANESE_SAMURAI';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_NORWEGIAN_BERSERKER';
--UPDATE Units SET Combat = 6 	WHERE 	UnitType = 'UNIT_GEORGIAN_KHEVSURETI';
UPDATE Units SET Combat = 43	WHERE 	UnitType = 'UNIT_HUNGARY_BLACK_ARMY';
--
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_MONGOLIAN_KESHIG';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_ARABIAN_MAMLUK';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_MALI_MANDEKALU_CAVALRY';
--
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_CHINESE_CROUCHING_TIGER';
UPDATE Units SET  Range = 1 	WHERE 	UnitType = 'UNIT_OTTOMAN_BARBARY_CORSAIR';			--was 2 range		
UPDATE Units SET  Combat = 45 	WHERE 	UnitType = 'UNIT_OTTOMAN_BARBARY_CORSAIR';			--was 40 CS, 50 ranged
--
--
----------------------------
----RENAISSANCE
----------------------------
--
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_CARAVEL';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_MUSKETMAN';
UPDATE Units SET Combat = 45, RangedCombat = 55, Range = 1	WHERE 	UnitType = 'UNIT_PRIVATEER';		--was 40 CS, 50 ranged, 2 range
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_PIKE_AND_SHOT';
UPDATE Units SET Combat = 55, RangedCombat = 60 	WHERE 	UnitType = 'UNIT_FRIGATE';								--was 50, 55 in 2.7.3  --was CS 45, and 55 ranged CS in vanilla

--UPDATE Units SET Bombard = 60 	WHERE 	UnitType = 'UNIT_BOMBARD';				--was 43 cs, 55 bombard cs.

---- Uniques	
UPDATE Units SET Range = 1  	WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');			--was 2 range
UPDATE Units SET Combat = 45  	WHERE 	UnitType= 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');			--was 40 CS, 50 ranged
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_MAPUCHE_MALON_RAIDER';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_SULEIMAN_JANISSARY';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_SPANISH_CONQUISTADOR';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_SWEDEN_CAROLEAN';
--
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET Combat = 55, RangedCombat = 60 	WHERE 	UnitType = 'UNIT_DE_ZEVEN_PROVINCIEN';	
--
--
----------------------------
----INDUSTRIAL
----------------------------
--
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_ARCHAEOLOGIST';
--UPDATE Units SET Combat = 1 	WHERE 	UnitType = 'UNIT_NATURALIST';
--
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_MEDIC';
--UPDATE Units SET Combat = 8 	WHERE 	UnitType = 'UNIT_RANGER';
--
UPDATE Units SET Combat = 62 	WHERE 	UnitType = 'UNIT_CAVALRY';
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_FIELD_CANNON';
UPDATE Units SET Combat = 66 	WHERE 	UnitType = 'UNIT_CUIRASSIER';	--was 64
--
UPDATE Units SET Combat = 65 	WHERE 	UnitType = 'UNIT_IRONCLAD';							--was 65 in 2.7.3. was 60 in vanilla
--
--	
---- Uniques	

UPDATE Units SET Combat = 67 	WHERE 	UnitType = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET Combat = 65 	WHERE 	UnitType = 'UNIT_HUNGARY_HUSZAR';

--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_SCOTTISH_HIGHLANDER';
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_HUNGARY_HUSZAR';
--
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_ENGLISH_REDCOAT';
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';	
--
----------------------------	
----MODERN	
----------------------------	
UPDATE Units SET Combat = 70 												WHERE 	UnitType = 'UNIT_INFANTRY';			--was 70
UPDATE Units SET Combat = 70, RangedCombat = 75, Range=1					WHERE 	UnitType = 'UNIT_SUBMARINE';		--was 65, 75, range=2
UPDATE Units SET Combat = 62 												WHERE 	UnitType = 'UNIT_ARTILLERY';		--was 60, 80
UPDATE Units SET RangedCombat = 70 											WHERE 	UnitType = 'UNIT_BIPLANE';			--was 80, 75
UPDATE Units SET Combat = 80, RangedCombat = 0, Bombard = 80, Range = 2   	WHERE 	UnitType = 'UNIT_BATTLESHIP';		--was 60, 70 ranged, 90 AA, range 3. 

---- Uniques	
--UPDATE Units SET Combat = 10 	WHERE 	UnitType = 'UNIT_CANADA_MOUNTIE';
--UPDATE Units SET Combat = 10	WHERE 	UnitType = 'UNIT_AMERICAN_ROUGH_RIDER';

UPDATE Units SET Combat = 70, RangedCombat = 75, Range=1	 	WHERE 	UnitType = 'UNIT_GERMAN_UBOAT'; 						--was 65, 75, range=2
UPDATE Units SET Combat = 80, RangedCombat = 0, Bombard = 86, Range = 2   	WHERE 	UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';		--was 70, 80 ranged, 95 AA. Add -10 CS vs districts

----------------------------	
----ATOMIC	
----------------------------	

--UPDATE Units SET Combat = 12 	WHERE 	UnitType = 'UNIT_ANTIAIR_GUN';						--90 AA, range 1

--AT Crew																					--was 70, +10 vs cav
--Machine Gun																				--was 65, 75 ranged

UPDATE Units SET Combat = 65, RangedCombat = 70 	WHERE 	UnitType = 'UNIT_SPEC_OPS';		--was 60, 65 ranged, range 2

UPDATE Units SET Combat = 85	WHERE 	UnitType = 'UNIT_TANK';								--was 80. Get -15 when defending vs siege or air?
UPDATE Units SET Combat = 87 	WHERE 	UnitType = 'UNIT_HELICOPTER';						--was 82. Get -10 when defending vs air?

UPDATE Units SET Combat = 75	WHERE 	UnitType = 'UNIT_AIRCRAFT_CARRIER';					--was 65
UPDATE Units SET Combat = 85 	WHERE 	UnitType = 'UNIT_DESTROYER';						--was 80, 90 AA

--UPDATE Units SET Combat = 100, RangedCombat = 100 	WHERE 	UnitType = 'UNIT_FIGHTER';	--was 100, 100
--UPDATE Units SET Combat = 85, Bombard = 110 	WHERE 	UnitType = 'UNIT_BOMBER';			--was 85, 110
--
---- Uniques	
--UPDATE Units SET Combat = 16 	WHERE 	UnitType = 'UNIT_AMERICAN_P51';
--
--
----------------------------	
----INFORMATION	
----------------------------	
--Mobile SAM																						--100 AA, range 1
--UPDATE Units SET Combat = 18 	WHERE 	UnitType = 'UNIT_MODERN_AT';								--was 80, +10 vs cav


--UPDATE Units SET Combat = 120 	WHERE 	UnitType = 'UNIT_JET_FIGHTER';							--was 110, 110
--UPDATE Units SET Combat = 100 	WHERE 	UnitType = 'UNIT_JET_BOMBER';							--was 90, 120

--UPDATE Units SET Combat = 80, RangedCombat = 85 	WHERE 	UnitType = 'UNIT_NUCLEAR_SUBMARINE'; 	--was 80, 85 in vanilla
UPDATE Units SET Combat = 82 	WHERE 	UnitType = 'UNIT_MECHANIZED_INFANTRY';						--was 85
--UPDATE Units SET Combat = 70, Bombard = 95  	WHERE 	UnitType = 'UNIT_ROCKET_ARTILLERY';			--was 70, 95 bombard

--
UPDATE Units SET Combat = 80, RangedCombat = 0, Bombard = 95  	WHERE 	UnitType = 'UNIT_MISSILE_CRUISER'; 		--was 70, 85 ranged, 110 AA, range 3.
UPDATE Units SET Combat = 100 	WHERE 	UnitType = 'UNIT_MODERN_ARMOR';											--was 90. Get -20 when defending vs siege or air?
--
--
--
--	
---- Uniques	
--	
--	
----------------------------	
----FUTURE	
----------------------------	
--	
--UPDATE Units SET Combat = 30 	WHERE 	UnitType = 'UNIT_GIANT_DEATH_ROBOT';		--was 130 melee, 120 ranged, range 3, 5 moves
--
--
---- Uniques
----------------------------


																						--	IN 2.7.3
														
--Galley 																					25 CS + 10 from Tech
--Longship																					30 CS + 5 from Tech
--Bireme																					30 CS + 5 from Tech
--Quadrireme 																				20 CS + 5 from Tech, 25 ranged +5 from Tech
								
									
--Caravel 							50 CS, +5 attack, +10 def								50 CS
--Frigate 							55 CS, 55 ramged, +5 attack, +10 def 					50 CS, 55 CS ranged.
--Jong								45 CS, 55 ranged, +5 attack, +10 def					45 CS melee, 55 CS ranged (mercenaries civic)
--De zeven Provin					50 CS, 60 ranged, +5 attack, +10 def 					50 CS melee, 60 CS ranged
														
--Privateer 						45, 50 ranged, +attack and def							40 CS, 50 CS ranged.
--Seadog							45, 50 ranged, +attack and def							40, 50
--Barbary							45, 50 ranged, +attack and def							40, 50 (medieval faires)
														
														
--Ironclad 							65 + 5 def, upgrade to subs?							65 CS 						(was 60 CS)
														
--BATTLESHIP, 						75 CS, +10 def, 90 bombard								80 CS, 70 CS ranged, 90 AA 	(was 60 CS melee, 70 CS ranged)
--Minas Gereas						80 CS, +10 def,	95 bombard								80 CS, 80 CS ranged, 95 AA	(was 70 CS melee, 80 CS ranged)
														
--SUBMARINE 						75 CS,	75 CS ranged									70 CS, 75 CS ranged			(was 65 CS melee, 75 CS ranged)
--German submarines																			SAME
														
--DESTROYER							90 CS													90, 90 AA					(was 80 CS melee)
--Aircraft CARRIER					75 CS													75 							(was 65 CS melee)
														
--NUCLEAR SUBMARINE					85,	85													80, 85 ranged
														
--Missile Corvette					85 CS, 100 Bombard										80, 85 ranged, 110 AA		(was 70 CS melee, 85 CS ranged)






------------------------------------------------------
--- EMBARKED UNITS
------------------------------------------------------

--Increase base Embark speed
--UPDATE GlobalParameters SET Value = 4 WHERE Name= 'MOVEMENT_WHILE_EMBARKED_BASE' ; --was 2

--Increase Embark cost to alot (new in 2.7):
UPDATE GlobalParameters SET Value = 2 WHERE Name= 'MOVEMENT_EMBARK_COST' ; --was 2 in vanilla, and 50 in 2.7.3

	
------------------------------------------------------
-- SPIES, SPY
------------------------------------------------------		

UPDATE Units SET TeamVisibility=0 	WHERE 	UnitType='UNIT_SPY'; 


------------------------------------------------------
-- HEALING
------------------------------------------------------

--Healing
--UPDATE GlobalParameters SET Value=6 					WHERE 	Name= 'COMBAT_HEAL_LAND_ENEMY'; 			--was 5 vanilla
--UPDATE GlobalParameters SET Value=10 					WHERE 	Name= 'COMBAT_HEAL_LAND_NEUTRAL'; 			--was 10 vanilla, 12 in 2.5
UPDATE GlobalParameters SET Value=20 					WHERE 	Name= 'COMBAT_HEAL_LAND_FRIENDLY'; 			--was 15 vanilla, 18 in 2.5
--Healing in district is 20 HP/turn

--UPDATE GlobalParameters SET Value=0 					WHERE 	Name= 'COMBAT_HEAL_NAVAL_ENEMY'; 			--was 0 vanilla
--UPDATE GlobalParameters SET Value=0 					WHERE 	Name= 'COMBAT_HEAL_NAVAL_NEUTRAL'; 			--was 0 vanilla
-- REMOVED IN 2.7.3		UPDATE GlobalParameters SET Value=25 					WHERE 	Name= 'COMBAT_HEAL_NAVAL_FRIENDLY'; 		--was 20 vanilla

-------------------------------------------------------------------------------------------------------------------
--SIGHTRANGE, ZONE OF CONTROL (SightRange , ZOC)
-------------------------------------------------------------------------------------------------------------------

--Reducing Sight distance
UPDATE Units SET BaseSightRange=1 	WHERE 	BaseSightRange=2;
UPDATE Units SET BaseSightRange=2 	WHERE 	BaseSightRange=3;
--UPDATE Units SET BaseSightRange=2 	WHERE 	BaseSightRange=4;
--UPDATE Units SET BaseSightRange=3 	WHERE 	BaseSightRange=5;

UPDATE Units SET BaseSightRange=1 	WHERE 	UnitType= 'UNIT_INDIAN_VARU' OR 
											UnitType= 'UNIT_ROCKET_ARTILLERY' OR 
											UnitType= 'UNIT_NATURALIST' OR 
											UnitType= 'UNIT_CARAVEL' OR
											UnitType= 'UNIT_IRONCLAD' OR
											UnitType= 'UNIT_SUBMARINE' OR 
											UnitType= 'UNIT_GERMAN_UBOAT' OR 
											UnitType= 'UNIT_BRAZILIAN_MINAS_GERAES' OR 
											UnitType= 'UNIT_BATTLESHIP' OR
											UnitType= 'UNIT_DESTROYER' OR 					--was 2
											UnitType= 'UNIT_AIRCRAFT_CARRIER' OR
											UnitType= 'UNIT_NUCLEAR_SUBMARINE';

											
UPDATE Units SET BaseSightRange=2 	WHERE 	UnitType= 'UNIT_CANADA_MOUNTIE' OR  
											UnitType= 'UNIT_SCOUT' OR
											UnitType= 'UNIT_CREE_OKIHTCITAW' OR
											UnitType= 'UNIT_SKIRMISHER' OR 
											UnitType= 'UNIT_INCA_WARAKAQ' OR
											UnitType= 'UNIT_RANGER' OR 
											UnitType= 'UNIT_SCOTTISH_HIGHLANDER' OR	
											UnitType= 'UNIT_BOMBER' OR
											UnitType= 'UNIT_SPEC_OPS' OR
											UnitType= 'UNIT_HELICOPTER' OR
											UnitType= 'UNIT_MISSILE_CRUISER';
											
UPDATE Units SET BaseSightRange=3 	WHERE 	UnitType= 'UNIT_SPY' OR
											UnitType= 'UNIT_OBSERVATION_BALLOON' OR
											UnitType= 'UNIT_JET_BOMBER' OR
											UnitType= 'UNIT_BIPLANE';
											



--Remove ZOC for all but ships and cav
UPDATE Units SET ZoneOfControl=0 	WHERE 	ZoneOfControl=1;
UPDATE Units SET ZoneOfControl=1 	WHERE 	FormationClass= 'FORMATION_CLASS_NAVAL';	--only naval combat units. admirals are formationclass civilian.

UPDATE Units SET ZoneOfControl=1 	WHERE 	PromotionClass= 'PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET ZoneOfControl=1 	WHERE 	PromotionClass= 'PROMOTION_CLASS_HEAVY_CAVALRY';
--Ranged cavalry no longer has zone of control in 2.8

UPDATE Units SET ZoneOfControl=1 	WHERE 	UnitType= 'UNIT_HELICOPTER' OR 
											UnitType= 'UNIT_MACHINE_GUN' OR 
											UnitType= 'UNIT_MECHANIZED_INFANTRY' OR 
											UnitType= 'UNIT_MODERN_ARMOR' OR 
											UnitType= 'UNIT_TANK' OR 
											UnitType= 'UNIT_GIANT_DEATH_ROBOT';
											
--Helicopters, tanks and modern armor ignore ZOC anyway.


UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Units_Base';